diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index ef026fe..ce05d16 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -6,19 +6,20 @@ A bibliography of Axiom references which are used throughout
 Axiom. The first section contains literature that mentions Axiom,
 initially derived with permission from Nelson Beebe's collection.
 The second section contains references from Axiom to the literature.
+The third section sorts papers by topic.
 
 \begin{thebibliography}{999}
 \section{Axiom Citations in the Literature}
 
 \subsection{A} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[ACM 89]{ACM89}.\\
-ACM, editor. Proceedings of the ACM-SIGSAM 1989 International
+\bibitem[ACM 89]{ACM89} ACM, editor\\
+Proceedings of the ACM-SIGSAM 1989 International
 Symposium on Symbolic and Algebraic Computation, ISSAC '89 ACM Press, 
 New York, NY 10036, USA, 1989, ISBN 0-89791-325-6, LCCN QA76.95.I59 1989
 
-\bibitem[ACM 94]{ACM94} 
-ACM, editor, ISSAC '94. Proceedings of the International
+\bibitem[ACM 94]{ACM94} ACM, editor\\
+ISSAC '94. Proceedings of the International
 Symposium on Symbolic and Algebraic Computation. ACM Press, New York, NY,
 10036, USA, 1994, ISBN 0-89791-638-7. LCCN QA76.95.I59 1994
 
@@ -29,7 +30,7 @@ In Cohen and Charping [CC91], pages 65-73 ISBN 0-387-54303-1 (New York),
 
 \bibitem[Adams 94]{AL94} Adams, William W.; Loustaunau, Philippe\\
 ``An Introduction to Gr\"obner Bases''\\
-Amaerica Mathematical Society (1994) ISBN 0-8218-3804-0
+American Mathematical Society (1994) ISBN 0-8218-3804-0
 
 \bibitem[Andrews 84]{And84} George E. Andrews\\
 ``Ramanujan and SCRATCHPAD''\\
@@ -41,22 +42,38 @@ and combinatorics''\\
 In Janssen [Jan88], pages 158-?? ISBN 3-540-18928-9, 
 0-387-18928-9 LCCN QA155.7.E4T74 1988
 
-\bibitem[Anon 91]{Ano91}
-Anonymous editor, Proceedings 1991 Annual Conference, American Society for
+\bibitem[Anon 91]{Ano91} Anonymous editor\\ 
+Proceedings 1991 Annual Conference, American Society for
 Engineering Education. Challenges of a Changing World. ASEE, Washington, DC
 USA 1991 2 vol.
 
-\bibitem[Anon 92]{Ano92}
-Anonymous. Programming environments for high-level scientific problem solving.
+\bibitem[Anon 92]{Ano92} Anonymous\\
+Programming environments for high-level scientific problem solving.\\
 IFIP TC2/WG 2.5 working conference. IFIP Transactions. A Computer Science 
 and Technology, A-2:??, 1992. CODEN ITATEC. ISSN 0926-5473
 
-\bibitem[Anono 95]{Ano95}
-Anonymous. GAMM 94 annual meeting. Zeitschrift fur Angewandte Mathematik und
+\bibitem[Anono 95]{Ano95} Anonymous\\
+GAMM 94 annual meeting. Zeitschrift fur Angewandte Mathematik und
 Physik, 75 (suppl. 2), 1995, CODEN ZAMMAX, ISSN 0044-2267
 
 \subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\bibitem[Baclawski 14]{Bac14} Baclawski, Krystian\\
+``SPAD language type checker''\\
+\verb|github.com/cahirwpz/phd|
+
+\begin{adjustwidth}{2.5em}{0pt}
+The project aims to deliver a new type checker for SPAD language.
+Several improvements over current type checker are planned.
+\begin{itemize}
+\item introduce better type inference
+\item introduce modern language constructs
+\item produce understandable diagnostic messages
+\item eliminate well known bugs in the type system
+\item find new type errors
+\end{itemize}
+\end{adjustwidth}
+
 \bibitem[Blair 70]{BGJ70} Blair, Fred W; Griesmer, James H.; 
 Jenks, Richard D.\\
 ``An interactive facility for symbolic mathematics''\\
@@ -71,12 +88,50 @@ Watt, S. M.\\
 ``On the implementation of dynamic evaluation''\\
 In Levelt [Lev95] pages 77-84 ISBN 0-89791-699-9 LCCN QA76.95 I59 1995
 ACM order number 505950\\
-\verb|www.acm.org/pubs/citations/proceedings/issac/220346/p77-broadbery|
+\verb|pdf.aminer.org/000/449/014/on_the_implementation_of_dynamic_evaluation.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/BGDW95.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Dynamic evaluation is a technique for producing multiple results
+according to a decision tree which evolves with program execution.
+Sometimes it is desired to produce results for all possible branches
+in the decision tree, while on other occasions, it may be sufficient
+to compute a single result which satisfies certain properties. This
+techinique finds use in computer algebra where computing the correct
+result depends on recognizing and properly handling special cases of
+parameters. In previous work, programs using dynamic evaluation have
+explored all branches of decision trees by repeating the computations
+prior to decision points.
+
+This paper presents two new implementations of dynamic evaluation
+which avoid recomputing intermediate results. The first approach uses
+Scheme ``continuations'' to record state for resuming program
+execution. The second implementation uses the Unix ``fork'' operation
+to form new processes to explore alternative branches in parallel.
+\end{adjustwidth}
 
 \bibitem[Boehm 89]{Boe89} Boehm, Hans-J.\\
 ``Type inference in the presence of type abstraction''\\
 ACM SIGPLAN Notices, 24(7) pp192-206 July 1989 CODEN SINODQ ISSN 0362-1340\\
 \verb|www.acm.org/pubs/citations/proceedings/pldi/73141/p192-boehm|
+%\verb|axiom-developer.org/axiom-website/papers/Boe89.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+A number of recent programming language designs incorporate a type
+checking system based on the Girard-Reynolds polymorphic
+$\lambda$-calculus.  This allows the construction of general purpose,
+reusable software without sacrificing compile-time type checking. A
+major factor constraining the implementation of these languages is the
+difficulty of automatically inferring the lengthy type information
+that is otherwise required if full use is made of these
+languages. There is no known algorithm to solve any natural and fully
+general formulation of the ``type inference'' problem. One very
+reasonable formulation of the problem is known to be undecidable.
+
+Here we define a restricted version of the type inference problem and
+present an efficient algorithm for its solution. We argue that the
+restriction is sufficiently weak to be unobtrusive in practice.
+\end{adjustwidth}
 
 \bibitem[Boulton 04]{BHGM04} Boulton, Richard; Hardy, Ruth; 
 Gottliebsen, Hanne; Martin, Ursula\\
@@ -84,21 +139,34 @@ Gottliebsen, Hanne; Martin, Ursula\\
 Proc Fourth International Conference on Integrated Formal Methods,
 April 2004
 
+\begin{adjustwidth}{2.5em}{0pt}
+We introduce control engineering as a new domain of application for
+formal methods. We discuss design verification, drawing attention to
+the role played by diagrammatic evaluation criteria involving numeric
+plots of a design, such as Nichols and Bode plots. We show that
+symbolic computation and computational logic can be used to discharge
+these criteria and provide symbolic, automated, and very general
+alternatives to these standard numeric tests. We illustrate our work
+with reference to a standard reference model drawn from military
+avionics.
+\end{adjustwidth}
+
 \bibitem[Boulanger 91]{Bou91} Boulanger, Jean-Louis\\
 ``Etude de la compilation de scratchpad 2''\\
 Rapport de DEA Universite dl lille 1, Sept 1991
 
 \bibitem[Boulanger 93a]{Bou93a} Boulanger, Jean-Louis\\
-``Axiom, language fonctionnel \`a d\'eveloppement objet''\\
+``Axiom, language fonctionnel \`a d\'evelopement objet''\\
 IT 255, Oct 1993
+%\verb|axiom-developer.org/axiom-website/papers/Bou93a.pdf|
 
 \bibitem[Boulanger 93b]{Bou93b} Boulanger, Jean-Louis\\
-``AXIOM, A Functional Language with Object Oriented Development''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+``AXIOM, A Functional Language with Object Oriented Development''
+%\verb|axiom-developer.org/axiom-website/papers/Bou93b.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present in this paper, a study about the computer algebra system
-Axiom, which gives up many very interesting Software engineering
+Axiom, which gives us many very interesting Software engineering
 concepts.  This language is a functional language with an Object
 Oriented Development.  This feature is very important for modeling the
 mathematical world (Hierarchy) and provides a running with
@@ -109,8 +177,8 @@ the only system of this category.
 
 \bibitem[Boulanger 94]{Bou94} Boulanger, J.L.\\
 ``Object Oriented Method for Axiom''\\
-ACM SIGPLAN Notices, 30(2) pp33-41 February 1995 CODEN SINODQ ISSN 0362-1340\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+ACM SIGPLAN Notices, 30(2) pp33-41 February 1995 CODEN SINODQ ISSN 0362-1340
+%\verb|axiom-developer.org/axiom-website/papers/Bou94.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Axiom is a very powerful computer algebra system which combines two
@@ -128,9 +196,17 @@ evolution. These notions introduce the concept of multi-view.
 in [Wit87], p18
 
 \bibitem[Bronstein 89]{Bro89} Bronstein, M.\\
-``Simplificatoin of real elementary functions''\\
+``Simplification of real elementary functions''\\
 ACM [ACM89] pages 207-211 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
 
+\begin{adjustwidth}{2.5em}{0pt}
+We describe an algorithm, based on Risch's real structure theorem, that
+determines explicitly all the algebraic relations among a given set of
+real elementary functions. We also provide examples from its
+implementation that illustrate the advantages over the use of complex
+logarithms and exponentials.
+\end{adjustwidth}
+
 \bibitem[Bronstein 91a]{Bro91a} Bronstein, M.\\
 ``The Risch differential equation on an algebraic curve''\\
 in Watt [Wat91], pp241-246 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
@@ -140,6 +216,29 @@ in Watt [Wat91], pp241-246 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
  In S.Watt, editor, {\sl Proceedings of ISSAC'91},
 pages 241-246, ACM Press, 1991.
 
+\bibitem[Bronstein 92]{Bro92} Bronstein, M.\\
+``Linear Ordinary Differential Equations: breaking through the order 2 barrier''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac92.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Bro92.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+A major subproblem for algorithms that either factor ordinary linear
+differential equations or compute their closed form solutions is to
+find their solutions $y$ which satisfy $y^{'}/y \in \overline{K}(x)$
+where $K$ is the constant field for the coefficients of the equation.
+While a decision procedure for this subproblem was known in the
+$19^{th}$ century, it requires factoring polynomials over
+$\overline{K}$ and has not been implemented in full generality. We
+present here an efficient algorithm for this subproblem, which has
+been implemented in the AXIOM computer algebra system for equations of
+arbitrary order over arbitrary fields of characteristic 0. This
+algorithm never needs to compute with the individual complex
+singularities of the equation, and algebraic numbers are added only
+when they appear in the potential solutions.  Implementation of the
+complete Singer algorithm for $n=2,3$ based on this building block is
+in progress.
+\end{adjustwidth}
+
 \bibitem[Bronstein 93]{Bro93} Bronstein, Manuel (ed)\\
 ISSAC'93: proceedings of the 1993 International Symposium on Symbolic 
 and Algebraic Computation, July 6-8, 1993, Kiev, Ukraine,
@@ -148,18 +247,48 @@ LCCN QA76.95 I59 1993 ACM order number 505930
 
 \bibitem[Brunelli 09]{Bru08} Brunelli, J.C.\\
 ``Streams and Lazy Evaluation Applied to Integrable Models''\\
-\verb|http://arxiv.org/PS_cache/nlin/pdf/0408/0408058v1.pdf|
+\verb|arxiv.org/PS_cache/nlin/pdf/0408/0408058v1.pdf|
 
 \bibitem[Bronstein 93]{BS93} Bronstein, Manuel; Salvy, Bruno\\ 
 ``Full partial fraction decomposition of rational functions''\\
 In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993\\
 \verb|www.acm.org/pubs/citations/proceedings/issac/164081/p157-bronstein|
 
+\bibitem[Bronstein 92a]{Bro92a} Bronstein, Manuel\\
+``Integration and Differential Equations in Computer Algebra''
+%\verb|axiom-developer.org/axiom-website/papers/Bro92a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe in this paper how the problems of computing indefinite
+integrals and solving linear ordinary differential equations in closed
+form are now solved by computer algebra systems. After a brief review
+of the mathematical history of those problems, we outline the two
+major algorithms for them (respectively the Risch and Singer
+algorithms) and the recent improvements on those algorithms which has
+allowed them to be implemented.
+\end{adjustwidth}
+
 \bibitem[Beneke 94]{BS94} Beneke, T.; Schwippert, W.\\
 ``Double-track into the future: MathCAD will gain new users with Standard 
 and Plus versions''\\
 Elektronik, 43(15) pp107-110, July 1994, CODEN EKRKAR ISSN 0013-5658
 
+\bibitem[Bronstein 97a]{Bro97a} Bronstein, Manuel; Weil, Jacques-Arthur\\
+``On Symmetric Powers of Differential Operators''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro97a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We present alternative algorithms for computing symmetric powers of
+linear ordinary differential operators. Our algorithms are applicable
+to operators with coefficients in arbitrary integral domains and
+become faster than the traditional methods for symmetric powers of
+sufficiently large order, or over sufficiently complicated coefficient
+domains. The basic ideas are also applicable to other computations
+involving cyclic vector techniques, such as exterior powers of
+differential or difference operators.
+\end{adjustwidth}
+
 \bibitem[Borwein 00]{Bor00} Borwein, Jonathan\\
 ``Multimedia tools for communicating mathematics''\\
 Springer-Verlag ISBN 3-540-42450-4 p58
@@ -170,8 +299,8 @@ Journal of Symbolic Computation 17(2) pp159-179 February 1994
 CODEN JSYCEH ISSN 0747-7171
 
 \bibitem[Brown 95]{BD95} Brown, Ronald; Dreckmann, Winfried\\
-``Domains of data and domains of terms in AXIOM''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+``Domains of data and domains of terms in AXIOM''
+%\verb|axiom-developer.org/axiom-website/papers/DB95.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 The main new concept we wish to illustrate in this paper is a
@@ -243,13 +372,8 @@ Cuypers, Hans;  Sterk, Hans\\
 \verb|www.win.tue.nl/~hansc/lisbon.pdf|
 
 \bibitem[Carpent]{CCxx} Carpent, Quentin; Conil, Christophe\\
-``Utilisation de logiciels libres pour la r\'ealisation de TP MT26'' (2004)\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
-
-\bibitem[Cherry 86]{Che86} Cherry, G.W.\\
-``Integration in Finite Terms with Special Functions: 
-The Logarithmic Integral''\\
-SIAM J. Comput. Vol 15 No 1 February 1986
+``Utilisation de logiciels libres pour la r\'ealisation de TP MT26'' (2004)
+%\verb|axiom-developer.org/axiom-website/papers/CCxx.pdf|
 
 \bibitem[Chudnovsky 85]{Chu85} Chudnovsky, D.V; Chudnovsky, G.V.\\
 ``Elliptic Curve Calculations in Scratchpad II''\\
@@ -259,8 +383,8 @@ Scratchpad II Newsletter 1 (1) (1985)
 ``New Analytic Methods of Polynomial Root Finding''\\
 in [Wit87], p2
 
-\bibitem[Chudnovsky 89]{Chu89}Chudnovsky, D.V. and Chudnovsky, G.V.
-``The computation of classical constants''
+\bibitem[Chudnovsky 89]{Chu89}Chudnovsky, D.V. and Chudnovsky, G.V.\\
+``The computation of classical constants''\\
 Proc. Natl. Acad. Sci. USA Vol 86 pp8178-8182, Nov 1989
 
 \bibitem[Chudnovsky 86]{CJ86} Chudnovsky, David; Jenks, Richard\\
@@ -270,7 +394,7 @@ Marcel Dekker, Inc (1990) ISBN 0-8247-8341-7
 
 \bibitem[Cohen]{CCBS} Cohen, Arjeh; Cuypers, M.;  Barreiro, Hans; 
 Reinaldo, Ernesto; Sterk, Hans\\
-``Interactive Mathematical Documents on the Web''
+``Interactive Mathematical Documents on the Web''\\
 Springer 9783540002576-c1.pdf
 
 \bibitem[Cohen 91]{CC91} Cohen, G.; Charpin, P.; (ed)\\ 
@@ -282,8 +406,8 @@ Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
 \bibitem[Conrad (a)]{CFMPxxa} Conrad, Marc; French, Tim; Maple, Carsten; 
 Pott, Sandra\\
 ``Approaching Inheritance from a Natural Mathematical Perspective and from
-a Java Driven Viewpoint: a Comparative Review''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+a Java Driven Viewpoint: a Comparative Review''
+%\verb|axiom-developer.org/axiom-website/papers/CFMPxxa.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 It is well-known that few object-oriented programming languages allow
@@ -291,7 +415,7 @@ objects to change their nature at run-time. There have been a number
 of reasons presented for this, but it appears that there is a real
 need for matters to change. In this paper we discuss the need for
 object-oriented programming languages to reflect the dynamic nature of
-problems, particularly thos arising in a mathematical context. It is
+problems, particularly those arising in a mathematical context. It is
 from this context that we present a framework that realistically
 represents the dynamic and evolving characteristic of problems and
 algorithms.
@@ -300,8 +424,8 @@ algorithms.
 \bibitem[Conrad (b)]{CFMPxxb} Conrad, Marc; French, Tim; Maple, Carsten; 
 Pott, Sandra\\
 ``Mathematical Use Cases lead naturally to non-standard Inheritance
-Relationships: How to make them accessible in a mainstream language?''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+Relationships: How to make them accessible in a mainstream language?''
+%\verb|axiom-developer.org/axiom-website/papers/CFMPxxb.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Conceptually there is a strong correspondence between Mathematical
@@ -338,60 +462,58 @@ CODEN SIGSBZ ISSN 0163-5824
 
 \bibitem[Daly 03]{Dal03} Daly, Timothy\\
 ``The Axiom Wiki Website''\\
-\verb|http://axiom.axiom-developer.org|
+\verb|axiom.axiom-developer.org|
 
 \bibitem[Daly 06]{Dal06} Daly, Timothy\\
 ``Axiom Volume 1: Tutorial''\\
 Lulu, Inc. 860 Aviation Parkway,
 Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp\\
-\verb|http://www.lulu.com/content/190827|
+\verb|www.lulu.com/content/190827|
 
 \bibitem[Daly 09]{Dal09} Daly, Timothy\\
 ``The Axiom Literate Documentation''\\
-\verb|http://axiom.axiom-developer.org/axiom-website/documentation.html|
+\verb|axiom-developer.org/axiom-website/documentation.html|
 
 \bibitem[Daly 13]{Dal13} Daly, Timothy
 ``Literate Programming in the Large'' 
 April 8-9, 2013 Portland Oregon\\
 \verb|conf.writethedocs.org|\\
-\verb|daly.axiom-developer.org|
+\verb|daly.axiom-developer.org|\\
+\verb|www.youtube.com/watch?v=Av0PQDVTP4A|
 
 \bibitem[Davenport 79a]{Dav79a} Davenport, J.H.\\
 ``What can SCRATCHPAD/370 do?''\\
 VM/370 SPAD.SCRIPTS August 24, 1979 SPAD.SCRIPT
 
-\bibitem[Davenport 79b]{Dav79b} Davenport, James Harold\\
-``On the Integration of Algebraic Functions''\\
-Springer-Verlag Lecture Notes in Computer Science 102
-ISBN 0-387-10290-6
-
 \bibitem[Davenport 80]{Dav80} Davenport, J.H.; Jenks, R.D.\\
 ``MODLISP -- an Introduction''\\
 Proc LISP80, 1980, and IBM RC8357 Oct 1980
 
-\bibitem[Davenport 82]{Dav82} Davenport, J.H.\\
-``On the Parallel Risch Algorithm (III): Use of Tangents''\\
-SIGSAM V16 no. 3 pp3-6 August 1982
-
 \bibitem[Davenport 84]{DGJ84} Davenport, J.; Gianni, P.; Jenks, R.;
 Miller, V.; Morrison, S.; Rothstein, M.; Sundaresan, C.; Sutor, R.; 
 Trager, B.\\
 ``Scratchpad''\\
 Mathematical Sciences Department, IBM Thomas Watson Research Center 1984
 
+\bibitem[Davenport 84a]{Dav84a} Davenport, James H.\\
+``A New Algebra System''
+%\verb|axiom-developer.org/axiom-website/papers/Dav84a.pdf|
+
 \bibitem[Davenport 85]{Dav85} Davenport, James H.\\
 ``The LISP/VM Foundation of Scratchpad II''\\
 The Scratchpad II Newsletter, Volume 1, Number 1, September 1, 1985
 IBM Corporation, Yorktown Heights, NY
 
 \bibitem[Davenport 88]{DST88} Davenport, J.H.; Siret, Y.; Tournier, E.\\
-Computer Algebra: Systems and Algorithms for Algebraic Computation. 
-Academic Press, New York, NY, USA, 1988, ISBN 0-12-204232-9
+Computer Algebra: Systems and Algorithms for Algebraic Computation. \\
+Academic Press, New York, NY, USA, 1988, ISBN 0-12-204232-9\\
 \verb|staff.bath.ac.uk/masjhd/masternew.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DST88.pdf|
 
 \bibitem[Davenport 14]{Dav14} Davenport, James H.\\
 ``Computer Algebra textbook''\\
 \verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Dav14.pdf|
 
 \bibitem[Davenport 89]{Dav89} Davenport, J.H. (ed)\\
 EUROCAL '87 European Conference on Computer Algebra Proceedings 
@@ -413,22 +535,22 @@ also in: AXIOM Technical Report, ATR/2, NAG Ltd., Oxford, 1992
 ``Scratchpad's view of algebra II: A categorical view of factorization''\\
 Technical Report TR4/92 (ATR/2) (NP2491), Numerical Algorithms Group, Inc., 
 Downer's Grove, IL, USA and Oxford, UK, December 1992\\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \bibitem[Davenport 92a]{Dav92a} Davenport, J. H.\\
 ``The AXIOM system''\\
 AXIOM Technical Report TR5/92 (ATR/3)
 (NP2492) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
 Oxford, UK, December 1992 \\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \bibitem[Davenport 92b]{Dav92b} Davenport, J. H.\\
 ``How does one program in the AXIOM system?''\\
 AXIOM Technical Report TR6/92 (ATR/4)(NP2493) 
 Numerical Algorithms Group, Inc., Downer's
 Grove, IL, USA and Oxford, UK December 1992\\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+%\verb|axiom-developer.org/axiom-website/papers/Dav92b.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Axiom is a computer algebra system superficially like many others, but
@@ -444,17 +566,17 @@ DISCO 90 Capri, Italy April 1990 ISBN 0-387-52531-9 pp40-54\\
 Technical Report TR3/92 (ATR/1)(NP2490), Numerical
 Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, 
 December 1992. \\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \bibitem[Davenport 93]{Dav93} Davenport, J. H.\\
 ``Primality testing revisited''\\
 Technical Report TR2/93 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., 
 Downer's Grove, IL, USA and Oxford, UK, August 1993\\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \bibitem[Davenport (a)]{DFxx} Davenport, James; Faure, Christ\'ele\\
-``The Unknown in Computer Algebra''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+``The Unknown in Computer Algebra''
+%\verb|axiom-developer.org/axiom-website/papers/DFxx.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Computer algebra systems have to deal with the confusion between
@@ -470,16 +592,12 @@ extended Axiom to deal with this concept.
 James H. Davenport
 ``A New Algebra System''
 May 1984\\
-\verb|xml.coverpages.org/openmath13.html|\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
-
-\bibitem[Davenport 10]{Dav10} Davenport, J. H.\\
-``Computer Algebra'' \hfill\\
-\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
+\verb|xml.coverpages.org/openmath13.html|
+%\verb|axiom-developer.org/axiom-website/papers/Dav00.pdf|
 
 \bibitem[Davenport 12]{Dav12} Davenport, J.H.\\
 ``Computer Algebra''\\
-\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf| Feb, 2012
+\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|\\
 
 \bibitem[Davenport (b)]{DSTxx} Davenport, J. H.; Siret; Tournier\\
 ``Computer Algebra''  \hfill\\
@@ -503,6 +621,7 @@ LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
 ``Branch Cuts in Computer Algebra''\\
 1994 ISSAC, Oxford (UK), July 1994\\
 \verb|www.cs.berkeley.edu/~fateman/papers/ding.ps|
+%\verb|axiom-developer.org/axiom-website/papers/Din94.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Many standard functions, such as the logarithms and square root
@@ -514,7 +633,7 @@ they can manipulate such functions in a useful fashion.
 
 \bibitem[DLMF]{DLMF}.\\
 ``Digital Library of Mathematical Functions''\\
-\verb|http://dlmf.nist.gov/software/#T1|
+\verb|dlmf.nist.gov/software/#T1|
 
 \bibitem[Dooley 99]{Doo99} Dooley, Sam editor.\\
 ISSAC 99: July 29-31, 1999, Simon Fraser University,
@@ -524,14 +643,15 @@ ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
 
 \bibitem[Dos Reis 12]{DR12} Dos Reis, Gabriel\\
 ``A System for Axiomatic Programming''\\
-Proc. Conf. on Intelligent Computer Mathematics, Springer (2012)
+Proc. Conf. on Intelligent Computer Mathematics, Springer (2012)\\
 \verb|www.axiomatics.org/~gdr/liz/cicm-2012.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DR12.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present the design and implementation of a system for axiomatic
 programming, and its application to mathematical software
 construction. Key novelties include a direct support for user-defined
-axiom establishing local equality between types, and overload
+axioms establishing local equality between types, and overload
 resolution based on equational theories and user-defined local
 axioms. We illustrate uses of axioms, and their organization into
 concepts, in structured generic programming as practiced in
@@ -540,8 +660,8 @@ computational mathematical systems.
 
 \bibitem[Doye 97]{Doy97} Doye, Nicolas James\\
 ``Order Sorted Computer Algebra and Coercions''\\
-Ph.D. Thesis University of Bath 1997\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/doye-aldor-phd.pdf|
+Ph.D. Thesis University of Bath 1997
+%\verb|axiom-developer.org/axiom-website/papers/Doy97.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Computer algebra systems are large collections of routines for solving
@@ -579,12 +699,12 @@ automated coerion algorithm in Axiom.
 ``Automated coercion for Axiom''\\
 In Dooley [Doo99], pp229-235
 ISBN 1-58113-073-2 LCCN QA76.95.I57 1999 ACM Press\\
-\verb|http://www.acm.org/pubs/contents/proceedings/issac/309831|
+\verb|www.acm.org/pubs/contents/proceedings/issac/309831|
 
 \bibitem[Dominguez 01]{DR01} Dom\'inguez, C\'esar; Rubio, Julio\\
 ``Modeling Inheritance as Coercion in a Symbolic Computation System''
-ISSAC 2001 ACM  1-58113-417-7/01/0007\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+ISSAC 2001 ACM  1-58113-417-7/01/0007
+%\verb|axiom-developer.org/axiom-website/papers/DR01.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper the analysis of the data structures used in a symbolic
@@ -607,12 +727,7 @@ Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001\\
 Kelsey, Tom; Martin, Ursula\\
 ``Computer Algebra meets Automated Theorem Proving: A Maple-PVS Interface''
 TPHOLS 2001, Edinburgh\\
-\verb|www.cs-st-andrews.ac.uk/~tom/pub/tphols.ps|
-
-\bibitem[Dunstan 01a]{DGKM01a} Dunstan, Martin; Gottliebsen, Hanne; 
-Kelsey, Tom; Martin, Ursula\\
-``Computer Algebra meets Automated Theorem Proving: A Maple-PVS Interface''
-Calculemus 2001, Siena\\
+\verb|www.cs-st-andrews.ac.uk/~tom/pub/tphols.ps|\\
 \verb|www.cs-st-andrews.ac.uk/~tom/pub/dunstanetal.ps|
 
 \bibitem[Duval 92]{DJ92} Duval D.; Jung, F.\\
@@ -649,6 +764,7 @@ In Watanabe and Nagata [WN90], pp60-67 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 \bibitem[Fateman 06]{Fat06} Fateman, R. J.\\
 ``Building Algebra Systems by Overloading Lisp''\\
 \verb|www.cs.berkeley.edu/~fateman/generic/overload-small.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Fat06.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Some of the earliest computer algebra systems (CAS) looked like
@@ -712,7 +828,7 @@ Strasbourg, France, 1990 31pp
 
 \bibitem[Frisco ]{Fris} Frisco\\
 ``Objectives and Results''\\
-\verb|http://www.nag.co.uk/projects/frisco/frisco/node3.htm|
+\verb|www.nag.co.uk/projects/frisco/frisco/node3.htm|
 
 \subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
@@ -789,8 +905,8 @@ Journal of Symbolic Computation, Vol39, Num 5, 2005
 
 \bibitem[Grabe 98]{Gra98} Gr\"abe, Hans-Gert\\
 ``About the Polynomial System Solve Facility of Axiom, Macyma, Maple
-Mathematica, MuPAD, and Reduce''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+Mathematica, MuPAD, and Reduce''
+%\verb|axiom-developer.org/axiom-website/papers/Gra98.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 We report on some experiences with the general purpose Computer
@@ -813,7 +929,7 @@ Zentrum, Heidelberg, Germany, 1991
 AXIOM Technical Report TR7/92 (ATR/5)(NP2522), 
 Numerical Algorithms Group, Inc., Downer's
 Grove, IL, USA and Oxford, UK, 1992\\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|\\
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|\\
 and Technical Report, IBM Heidelberg Scientific Center, 1992
 
 \bibitem[Grabmeier 03]{GKW03} Grabmeier, Johannes; Kaltofen, Erich; 
@@ -821,16 +937,16 @@ Weispfenning, Volker (eds)\\
 Computer algebra handbook: foundations, applications, systems.
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 2003. ISBN 3-540-65466-6 637pp Includes CDROM\\
-\verb|http://www.springer.com/sgw/cda/frontpage/|\\
+\verb|www.springer.com/sgw/cda/frontpage/|\\
 \verb|0,11855,1-102-22-1477871-0,00.html|
 
 \bibitem[Griesmer 71]{GJ71} Griesmer, J. H.; Jenks, R.D.\\
 ``SCRATCHPAD/1 -- an interactive facility for symbolic mathematics''\\
 In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971\\
-\verb|http://delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\verb|delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|\\
 SYMSAC'71 Proc. second ACM Symposium on Symbolic and Algebraic
 Manipulation pp45-48
+%\verb|axiom-developer.org/axiom-website/papers/GJ71.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 The SCRATCHPAD/1 system is designed to provide an interactive symbolic
@@ -870,6 +986,7 @@ Manipulation), 28(3) pp3-19 August 1994 CODEN SIGSBZ ISSN 0163-5824
 Thesis, Swiss Federal Institute of Technology Z\"urich 1996
 Diss. ETH No. 11432\\
 \verb|www.cybertester.com/data/gruntz.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gru96.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This thesis presents an algorithm for computing (one-sided) limits
@@ -973,9 +1090,10 @@ In Fitch [Fit84], pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
 \bibitem[Jenks 86]{JWS86} Jenks, Richard D.; Sutor, Robert S.;
 Watt, Stephen M.\\
 ``Scratchpad II: An Abstract Datatype System for Mathematical Computation''\\
-Research Report RC 12327 (\#55257), Iinternational Business Machines, Inc., 
-Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1986 23pp
+Research Report RC 12327 (\#55257), Iinternational Business Machines, Inc., \\
+Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1986 23pp\\
 \verb|www.csd.uwo.ca/~watt/pub/reprints/1987-ima-spadadt.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/JWS86.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Scratchpad II is an abstract datatype language and system that is
@@ -1024,8 +1142,8 @@ LCCN QA76.95.J46 1992
 
 \bibitem[Jenks 94]{JT94} Jenks, R. D.; Trager, B. M.\\
 ``How to make AXIOM into a Scratchpad''\\
-In ACM [ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+In ACM [ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994
+%\verb|axiom-developer.org/axiom-website/papers/JT94.pdf|
 
 \bibitem[Joswig 03]{JT03} Joswig, Michael; Takayama, Nobuki\\
 ``Algebra, geometry, and software systems''\\
@@ -1054,25 +1172,34 @@ link: examples involving nonleanr systems''\\
 Technical Report TR1/94 
 ATR/7 (NP2680), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
 Oxford, UK, 1994\\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \bibitem[Kelsey 99]{Kel99} Kelsey, Tom\\
 ``Formal Methods and Computer Algebra: A Larch Specification of AXIOM 
 Categories and Functors''\\
 Ph.D. Thesis, University of St Andrews, 1999\\
-\verb|www.cs.st-andrews.ac.uk/research/publications/Kel00.php|\\
-\verb|www.cs.st-andrews.ac.uk/research/output/detail?output=Kel00.php|\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\verb|www.cs.st-andrews.ac.uk/research/publications/Kel00.php|
 
 \bibitem[Kelsey 00a]{Kel00a} Kelsey, Tom\\
 ``Formal specification of computer algebra''\\
 University of St Andrews, 6th April 2000\\
 \verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbs.ps|
+%\verb|axiom-developer.org/axiom-website/papers/Kel00a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We investigate the use of formal methods languages and tools in the
+design and development of computer algebra systems (henceforth CAS).
+We demonstrate that errors in CAS design can be identified and
+corrected by the use of (i) abstract specifications of types and
+procedures, (ii) automated proofs of properties of the specifications,
+and (iii) interface specifications which assist the verification of
+pre- and post conditions of implemented code.
+\end{adjustwidth}
 
 \bibitem[Kelsey 00b]{Kel00b} Kelsey, Tom\\
 ``Formal specification of computer algebra''\\
 (slides) University of St Andrews, Sept 21, 2000\\
-\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbstalk.ps|
+\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbstalk.ps|\\
 
 \bibitem[Kendall 99a]{Ken99a} Kendall, W.S.\\
 ``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''\\
@@ -1097,7 +1224,7 @@ In Davenport [Dav89] pp246-257 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
 
 \bibitem[Lahey 08]{Lah08} Lahey, Tim\\
 ``Sage Integration Testing''\\
-\verb|http://github.com/tjl/sage_int_testing| Dec. 2008
+\verb|github.com/tjl/sage_int_testing| Dec. 2008
 
 \bibitem[Lambe 89]{Lam89} Lambe, L. A.\\
 ``Scratchpad II as a tool for mathematical research''\\
@@ -1111,8 +1238,8 @@ CODEN JSYCEH ISSN 0747-7171
 \bibitem[Lambe 92]{Lam92} Lambe, Larry\\
 ``Next Generation Computer Algebra Systems AXIOM and the Scratchpad
 Concept: Applications to Research in Algebra''\\
-$21^{st}$ Nordic Congress of Mathematicians 1992\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+$21^{st}$ Nordic Congress of Mathematicians 1992
+%\verb|axiom-developer.org/axiom-website/papers/Lam92.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 One way in which mathematicians deal with infinite amounts of data is
@@ -1138,13 +1265,12 @@ through the use of this system.
 
 \bibitem[Lambe 93]{Lam93} Lambe, Larry\\
 ``On Using Axiom to Generate Code''\\
-(preprint) 1993\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+(preprint) 1993
 
 \bibitem[Lambe 93a]{LL93} Lambe, Larry; Luczak, Richard\\
 ``Object-Oriented Mathematical Programming and Symbolic/Numeric Interface''\\
-$3^{rd}$ International Conf. on Expert Systems in Numerical Computing 1993\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+$3^{rd}$ International Conf. on Expert Systems in Numerical Computing 1993
+%\verb|axiom-developer.org/axiom-website/papers/LL93.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 The Axiom language is based on the notions of ``categories'',
@@ -1200,6 +1326,7 @@ PASCO 2010
 Systems''\\
 ISSAC 2011
 \verb|www.axiomatics.org/~gdr/concurrency/oa-conc-issac11.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/YL11.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper proposes a non-intrusive automatic parallelization
@@ -1269,6 +1396,27 @@ Proceedings.
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1993 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
 
+\bibitem[Missura 94]{Miss94} Missura, Stephan A.; Weber, Andreas\\
+``Using Commutativity Properties for Controlling Coercions''\\
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/|
+\verb|WeberA/MissuraWeber94a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Miss94.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This paper investigates some soundness conditions which have to be
+fulfilled in systems with coercions and generic operators. A result of
+Reynolds on unrestricted generic operators is extended to generic
+operators which obey certain constraints. We get natural conditions
+for such operators, which are expressed within the theoretic framework
+of category theory. However, in the context of computer algebra, there
+arise examples of coercions and generic operators which do not fulfil
+these conditions. We describe a framework -- relaxing the above
+conditions -- that allows distinguishing between cases of ambiguities
+which can be resolved in a quite natural sense and those which
+cannot. An algorithm is presented that detects such unresolvable
+ambiguities in expressions.
+\end{adjustwidth}
+
 \bibitem[Monagan 87]{Mon87} Monagan, Michael B.\\
 ``Support for Data Structures in Scratchpad II''\\
 in [Wit87], pp17-18
@@ -1294,8 +1442,8 @@ CACM August 1971 Vol 14 No. 8 pp527-537
 
 \bibitem[Naylor]{NPxx} Naylor, William;  Padget, Julian\\
 ``From Untyped to Polymorphically Typed Objects in Mathematical Web 
-Services''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+Services''
+%\verb|axiom-developer.org/axiom-website/papers/NPxx.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 OpenMath is a widely recognized approach to the semantic markup of
@@ -1318,6 +1466,7 @@ descriptions may be directly derived from Aldor's rich type language.
 \bibitem[Naylor 95]{N95} Naylor, Bill\\
 ``Symbolic Interface for an advanced hyperbolic PDE solver''\\
 \verb|www.sci.csd.uwo.ca/~bill/Papers/symbInterface2.ps|
+%\verb|axiom-developer.org/axiom-website/papers/N95.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 An Axiom front end is described, which is used to generate
@@ -1337,6 +1486,7 @@ realise the object.  Finally we display some of our results.
 \bibitem[Naylor 00b]{ND00} Naylor, W.A.; Davenport, J.H.\\
 ``A Monte-Carlo Extension to a Category-Based Type System''\\
 \verb|www.sci.csd.uwo.ca/~bill/Papers/monteCarCat3.ps|
+%\verb|axiom-developer.org/axiom-website/papers/ND00.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 The normal claim for mathematics is that all calculations are 100\%
@@ -1405,8 +1555,8 @@ Devlin, Keith (ed.)
 Computers and Mathematics November 1993, Vol 40, Number 9 pp1203-1210
 
 \bibitem[Poll (b)]{Polxx} Poll, Erik\\
-``The type system of Axiom''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+``The type system of Axiom''
+%\verb|axiom-developer.org/axiom-website/papers/Polxx.pdf|
 
 \bibitem[Purtilo 86]{Pur86} Purtilo, J.\\
 ``Applications of a software interconnection system in mathematical
@@ -1419,12 +1569,12 @@ A281 1986 ACM order number 505860
 
 \bibitem[Rainer 14]{Rain14} Joswig, Rainer\\
 ``2014: 30+ Years Common Lisp the Language''\\
-\verb|http://lispm.de/30ycltl|
+\verb|lispm.de/30ycltl|
 
 \bibitem[Robidoux 93]{Rob93} Robidoux, Nicolas\\
 ``Does Axiom Solve Systems of O.D.E's Like Mathematica?''\\
-July 1993\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+July 1993
+%\verb|axiom-developer.org/axiom-website/papers/Rob93.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 If I were demonstrating Axiom and were asked this question, my reply
@@ -1444,8 +1594,8 @@ This is a very simple system: $x_1$ is actually uncoupled from $x_2$
 \bibitem[Rioboo 92]{Rio92} Rioboo, R.\\
 ``Real algebraic closure of an ordered field, implementation in Axiom''\\
 In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
-0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
+%\verb|axiom-developer.org/axiom-website/papers/Rio92.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Real algebraic numbers appear in many Computer Algebra problems.  For
@@ -1505,6 +1655,7 @@ Manipulation) 2591) pp10-23 Jan. 1991 CODEN SIGSBZ ISSN 0163-5824
 Equations''\\
 PhD thesis, School of Physics and Materials, Lancaster University (1994)\\
 \verb|www.mathematik.uni-kassel.de/~seiler/Papers/Diss/diss.ps.gz|
+%\verb|axiom-developer.org/axiom-website/papers/Sei94.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 An introduction to the formal theory of partial differential equations
@@ -1533,8 +1684,8 @@ in Calmet [Cal94] pp103-104
 \bibitem[Sieler 94b]{Sei94b} Seiler, W.M.\\
 ``Pseudo differential operators and integrable systems in AXIOM''\\
 Computer Physics Communications, 79(2) pp329-340 April 1994 CODEN CPHCBZ
-ISSN 0010-4655\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+ISSN 0010-4655
+%\verb|axiom-developer.org/axiom-website/papers/Sei94b.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 An implementation of the algebra of pseudo differential operators in
@@ -1546,8 +1697,8 @@ of integrable systems is demonstrated.
 \bibitem[Seiler 95]{Sei95} Seiler, W.M.\\
 ``Applying AXIOM to partial differential equations''\\
 Internal Report 95-17, Universit\"at Karlsruhe, Fakult\"at f\"ur Informatik
-1995\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+1995
+%\verb|axiom-developer.org/axiom-website/papers/Sei95.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present an Axiom environment called JET for geometric computations
@@ -1563,8 +1714,8 @@ functions.
 
 \bibitem[Seiler 95b]{SC95} Seiler, W.M.; Calmet, J.\\
 ``JET -- An Axiom Environment for Geometric Computations with Differential
-Equations''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+Equations''
+%\verb|axiom-developer.org/axiom-website/papers/SC95.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 JET is an environment within the computer algebra system Axiom to
@@ -1625,6 +1776,7 @@ LCCN QA76.76.A65 S95 1992
 ``Algorithmic differentiation in Axiom''\\
 ACM SIGSAM ISSAC Proceedings 2007 Waterloo, Canada 2007 pp347-354 
 ISBN 978-1-59593-743-8
+%\verb|axiom-developer.org/axiom-website/papers/SDJ07.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper describes the design and implementation of an algorithmic
@@ -1656,8 +1808,8 @@ In Buchberger and Caviness [BC85], pp32-33 ISBN 0-387-15983-5 (vol. 1),
 \bibitem[Sutor 87a]{SJ87a} Sutor, R. S.; Jenks, R. D.\\
 ``The type inference and coercion facilities in
 the Scratchpad II interpreter'' In Wexelblat [Wex87], pp56-63
-ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)
+%\verb|axiom-developer.org/axiom-website/papers/SJ87a.pdf|
 
 \bibitem[Sutor 87b]{Su87} Sutor, Robert S.\\
 ``The Scratchpad II Computer Algebra System. Using and
@@ -1669,6 +1821,7 @@ IBM Course presentation slide deck Spring 1987
 in the Scratchpad II interpreter''\\ 
 Research report RC 12595 (\#56575),
 IBM Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1987, 11pp
+%\verb|axiom-developer.org/axiom-website/papers/SJ87c.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 The Scratchpad II system is an abstract datatype programming language,
@@ -1690,8 +1843,8 @@ IBM Manual, March 1988
 \subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem[Thompson 00]{Tho00} Thompson, Simon\\
-``Logic and dependent types in the Aldor Computer Algebra System''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+``Logic and dependent types in the Aldor Computer Algebra System''
+%\verb|axiom-developer.org/axiom-website/papers/Tho00.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 We show how the Aldor type system can represent propositions of
@@ -1704,8 +1857,8 @@ categories as well as a type of vectors.
 \end{adjustwidth}
 
 \bibitem[Thompson (a)]{TTxx} Thompson, Simon; Timochouk, Leonid\\
-``The Aldor\-\- language''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+``The Aldor\-\- language''
+%\verb|axiom-developer.org/axiom-website/papers/TTxx.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper introduces the \verb|Aldor--| language, which is a
@@ -1724,14 +1877,8 @@ system.
 
 \bibitem[Touratier 98]{Tou98} Touratier, Emmanuel\\
 ``Etude du typage dans le syst\`eme de calcul scientifique Aldor''\\
-Universit\'e de Limoges 1998\\
-
-\subsection{U} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-\bibitem[Unknown 84]{Unk84} Unknown\\
-``A New Algebra System''\\
-(private copy of unpublished paper)
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+Universit\'e de Limoges 1998
+%\verb|axiom-developer.org/axiom-website/papers/Tou98.pdf|
 
 \subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
@@ -1817,8 +1964,8 @@ Version 1.0.0 O($\epsilon{}^1$) June 8, 1994
 \bibitem[Watt 94b]{Wat94} Watt, Stephen M.; Broadbery, Peter A.; 
 Dooley, Samuel S.; Iglio, Pietro\\
 ``A First Report on the A\# Compiler (including benchmarks)''\\
-IBM Research Report RC19529 (85075) May 12, 1994\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+IBM Research Report RC19529 (85075) May 12, 1994
+%\verb|axiom-developer.org/axiom-website/papers/Wat94.pdf|
 
 \bibitem[Watt 94c]{Wat94c} Watt, Stephen M.\\
 ``A\# Language Reference Version 0.35''\\
@@ -1833,15 +1980,66 @@ The Numerical Algorithms Group (NAG) Ltd, 1994
 Morrison, Scott C.; Steinbach, Jonathan M.\\
 ``FOAM: A First Order Abstract Machine Version 0.35''\\
 IBM T. J. Watson Research Center (2001)
+%\verb|axiom-developer.org/axiom-website/papers/Wat01.pdf|
 
-\bibitem[Weber 93]{Web93} Weber, A.\\
-``On coherence in computer algebra''\\
-In Miola [Mio93], pp95-106 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+\bibitem[Weber 92]{Webe92} Weber, Andreas\\
+``Type Systems for Computer Algebra''\\
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber92a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe92.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+An important feature of modern computer algebra systems is the support
+of a rich type system with the possibility of type inference. Basic
+features of such a type system are polymorphism and coercion between
+types. Recently the use of order-sorted rewrite systems was proposed
+as a general framework. We will give a quite simple example of a
+family of types arising in computer algebra whose coercion relations
+cannot be captured by a finite set of first-order rewrite rules.
+\end{adjustwidth}
+
+\bibitem[Weber 92b]{Webe92b} Weber, Andreas\\
+``Structuring the Type System of a Computer Algebra System''\\
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber92a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe92b.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Most existing computer algebra systems are pure symbol manipulating
+systems without language support for the occuring types. This is
+mainly due to the fact taht the occurring types are much more
+complicated than in traditional programming languages. In the last
+decade the study of type systems has become an active area of
+research. We will give a proposal for a type system showing that
+several problems for a type system of a symbolic computation system
+can be solved by using results of this research. We will also provide
+a variety of examples which will show some of the problems that remain
+and that will require further research.
+\end{adjustwidth}
+
+\bibitem[Weber 93b]{Webe93b} Weber, Andreas\\
+``Type Systems for Computer Algebra''\\
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber93b.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe93b.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We study type systems for computer algebra systems, which frequently
+correspond to the ``pragmatically developed'' typing constructs used
+in AXIOM.  A central concept is that of {\sl type classes} which
+correspond to AXIOM categories. We will show that types can be
+syntactically described as terms of a regular order-sorted signature
+if no type parameters are allowed. Using results obtained for the
+functional programming language Haskell we will show that the problem
+of {\sl type inference} is decidable. This result still holds if
+higher-order functions are present and {\sl parametric polymorphism}
+is used. These additional typing constructs are useful for further
+extensions of existing computer algebra systems: These typing concepts
+can be used to implement category theoretic constructs and there are
+many well known constructive interactions between category theory and
+algebra.  \end{adjustwidth}
 
 \bibitem[Weber 94]{Web94} Weber, Andreas\\
 ``Algorithms for Type Inference with Coercions''\\
-ISSAC 94 ACM 0-89791-638-7/94/0007\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+ISSAC 94 ACM 0-89791-638-7/94/0007
+%\verb|axiom-developer.org/axiom-website/papers/Web94.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper presents algorithms that perform a type inference for a
@@ -1857,6 +2055,52 @@ the corresponding type inference problems were known to be
 undecidable.
 \end{adjustwidth}
 
+\bibitem[Weber 95]{Webe95} Weber, A.\\
+``On coherence in computer algebra''\\
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber94e.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe95.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Modern computer algebra systems (e.g. AXIOM) support a rich type
+system including parameterized data types and the possibility of
+implicit coercions between types. In such a type system it will be
+frequently the case that there are different ways of building
+coercions between types. An important requirement is that all
+coercions between two types coincide, a property which is called {\sl
+coherence}. We will prove a coherence theorem for a formal type system
+having several possibilities of coercions covering many important
+examples. Moreover, we will give some informal reasoning why the
+formally defined restrictions can be satisfied by an actual system.
+\end{adjustwidth}
+
+\bibitem[Weber 96]{Webe96} Weber, Andreas\\
+``Computing Radical Expressions for Roots of Unity''\\
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber96a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe96.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We present an improvement of an algorithm given by Gauss to compute a
+radical expression for a $p$-th root of unity. The time complexity of
+the algorithm is $O(p^3m^6log p)$, where $m$ is the largest prime
+factor of $p-1$.
+\end{adjustwidth}
+
+\bibitem[Weber 99]{Webe99} Weber, Andreas\\
+``Solving Cyclotomic Polynomials by Radical Expressions''\\
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/|
+\verb|WeberA/WeberKeckeisen99a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe99.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe a Maple package that allows the solution of cyclotomic
+polynomials by radical expressions. We provide a function that is an
+extension of the Maple {\sl solve} command. The major algorithmic
+ingredient of the package is an improvement of a method due to Gauss
+which gives radical expressions for roots of unity. We will give a
+summary for computations up to degree 100, which could be done within
+a few hours of cpu time on a standard workstation.
+\end{adjustwidth}
+
 \bibitem[Wei-Jiang 12]{WJ12} Wei-Jiang\\
 ``Top free algebra System''\\
 \verb|wei-jiang.com/it/software/top-free-algebra-system-bye-mathematica-bye-maple|
@@ -2060,15 +2304,47 @@ Mathematics of Computation, vol. 35, num. 35, Oct. 1980, 1379-1381
 
 \bibitem[Bronstein 88]{Bro88} Bronstein, Manual\\
 ``The Transcendental Risch Differential Equation''\\
-J. Symbolic Computation (1990) 9, pp49-60 Feb 1988
-
-\bibitem[Bronstein 88a]{Bro88a} Bronstein, Manual\\
-``The Transcendental Risch Differential Equation''\\
+J. Symbolic Computation (1990) 9, pp49-60 Feb 1988\\
 IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
+%\verb|axiom-developer.org/axiom-website/papers/Bro88.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We present a new rational algorithm for solving Risch differential
+equations in towers of transcendental elementary extensions. In
+contrast to a recent algorithm by Davenport we do not require a
+progressive reduction of the denominators involved, but use weak
+normality to obtain a formula for the denominator of a possible
+solution. Implementation timings show this approach to be faster than
+a Hermite-like reduction.
+\end{adjustwidth}
 
 \bibitem[Bronstein 90a]{Bro90a} Bronstein, Manuel\\
 ``Integration of Elementary Functions''\\
-J. Symbolic Computation (199) 9, pp117-173 September 1988
+J. Symbolic Computation (1990) 9, pp117-173 September 1988
+%\verb|axiom-developer.org/axiom-website/papers/Bro90a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We extend a recent algorithm of Trager to a decision procedure for the
+indefinite integration of elementary functions. We can express the
+integral as an elementary function or prove that it is not
+elementary. We show that if the problem of integration in finite terms
+is solvable on a given elementary function field $k$, then it is
+solvable in any algebraic extension of $k(\theta)$, where $\theta$ is
+a logarithm or exponential of an element of $k$. Our proof considers
+an element of such an extension field to be an algebraic function of
+one variable over $k$.
+
+In his algorithm for the integration of algebraic functions, Trager
+describes a Hermite-type reduction to reduce the problem to an
+integrand with only simple finite poles on the associated Riemann
+surface. We generalize that technique to curves over liouvillian
+ground fields, and use it to simplify our integrands.  Once the
+multipe finite poles have been removed, we use the Puiseux expansions
+of the integrand at infinity and a generalization of the residues to
+compute the integral. We also generalize a result of Rothstein that
+gives us a necessary condition for elementary integrability, and
+provide examples of its use.
+\end{adjustwidth}
 
 \bibitem[Bronstein 90c]{Bro90c} Bronstein, M.\\
 ``On the integration of elementary functions''\\
@@ -2077,11 +2353,7 @@ J. Symbolic Computation (199) 9, pp117-173 September 1988
 \bibitem[Bronstein 93]{REF-BS93} Bronstein, Manuel; Salvy, Bruno\\
 ``Full partial fraction decomposition of rational functions''\\
 In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993\\
-\verb|http://www.acm.org/pubs/citations/proceedings/issac/164081/|
-
-\bibitem[Bronstein 97]{Bro97} Bronstein, M.\\ 
-``Symbolic Integration I--Transcendental Functions.''\\
-Springer, Heidelberg, 1997 ISBN 3-540-21493-3
+\verb|www.acm.org/pubs/citations/proceedings/issac/164081/|
 
 \bibitem[Bronstein 98]{REF-Bro98} Bronstein, M.\\
 ``The lazy hermite reduction''\\
@@ -2090,6 +2362,7 @@ Rapport de Recherche RR-3562, INRIA, 1998
 \bibitem[Bronstein 98b]{Bro98b} Bronstein, Manuel\\
 ``Symbolic Integration Tutorial''\\
 INRIA Sophia Antipolis ISSAC 1998 Rostock
+%\verb|axiom-developer.org/axiom-website/papers/Bro98b.pdf|
 
 \subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
@@ -2210,7 +2483,7 @@ To appear.
 Technical Report TR2/93
 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
 and Oxford, UK, August 1993\\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \bibitem[Davis 67]{DR67} Davis P J; Rabinowitz P\\
 ``Numerical Integration''\\
@@ -2519,11 +2792,12 @@ Acta Appl. Math. 8 (1987), 271-291
 AXIOM Technical Report TR7/92 (ATR/5)(NP2522), 
 Numerical Algorithms Group, Inc., Downer's
 Grove, IL, USA and Oxford, UK, 1992\\
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
 \bibitem[Gruntz 93]{Gru93} Gruntz, Dominik\\
 ``Limit computation in computer algebra''\\
 \verb|algo.inria.fr/seminars/sem92-93/gruntz.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Gru93.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 The automatic computation of limits can be reduced to two main
@@ -2606,11 +2880,6 @@ J. Inst. Math. Appl. 14 89--103. (1974)
 Journal of the Association for Computing Machinery, Volume 3, No. 1,
 January 1956, 10-15
 
-\bibitem[Hermite 1872]{Her1872} Hermite, E.\\
-``Sur l'int\'{e}gration des fractions rationelles.''\\
-{\sl Nouvelles Annales de Math\'{e}matiques}
-($2^{eme}$ s\'{e}rie), 11:145-148, 1872
-
 \bibitem[Higham 88]{Hig88} Higham, N.J.\\
 ``FORTRAN codes for estimating the one-norm of a
 real or complex matrix, with applications to condition estimation''\\
@@ -2798,17 +3067,6 @@ Witt, Bernard I.\\
 ``Structured Programming: Theory and Practice''\\
 Addison-Wesley (March 1979) ISBN 0201144611
 
-\bibitem[Liouville 1833a]{Lio1833a} Liouville, Joseph\\
-``Premier m\'{e}moire sur la
-d\'{e}termination des int\'{e}grales dont la valeur est
-alg\'{e}brique''\\
-{\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
-
-\bibitem[Liouville 1833b]{Lio1833b} Liouville, Joseph\\ 
-``Second m\'{e}moire sur la d\'{e}termination des int\'{e}grales 
-dont la valeur est alg\'{e}brique''\\
-{\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
-
 \bibitem[Lipson 81]{Lip81} Lipson, D.\\
 ``Elements of Algebra and Algebraic Computing''\\
 The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
@@ -3178,47 +3436,15 @@ In proceedings of the ISSAC'92 Conference, Berkeley 1992 pp. 206-215.
 In Mathematics and Computers in Simulation Volume 42, Issue 4-6,
 November 1996.
 
-\bibitem[Risch 68]{Ris68} Risch, Robert\\
-``On the integration of elementary functions
-which are built up using algebraic operations''\\
-Research Report
-SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA, 1968
-
-\bibitem[Risch 69a]{Ris69a} Risch, Robert\\
-``Further results on elementary functions''\\
-Research Report RC-2042, IBM Research, Yorktown Heights, NY, USA, 1969
-
-\bibitem[Risch 69b]{Ris69b} Risch, Robert\\
-``The problem of integration in finite terms''\\
-{\sl Transactions of the American Mathematical Society} 139:167-189, 1969
-
-\bibitem[Risch 70]{Ris70} Risch, Robert\\
-``The solution of problem of integration in finite terms''\\
-{\sl Transactions of the American Mathematical Society} 76:605-608, 1970
-
-\bibitem[Risch 79]{Ris79} Risch, Robert\\
-``Algebraic properties of the elementary functions of analysis''\\
-{\sl American Journal of Mathematics}, 101:743-759, 1979
-
 \bibitem[Ritt 50]{Ritt50} Ritt, Joseph Fels\\
 ``Differential Algebra''\\
 AMS Colloquium Publications Volume 33 ISBN 978-0-8218-4638-4
 
-\bibitem[Rosenlicht 72]{Ro72} Rosenlicht, Maxwell\\
-``Integration in finite terms''\\
-{\sl American Mathematical Monthly}, 79:963-972, 1972
-
 \bibitem[Rote 01]{Rote01} Rote, G\"unter\\
 ``Division-free algorithms for the determinant and the Pfaffian''\\
 in Computational Discrete Mathematics ISBN 3-540-42775-9 pp119-135\\
 \verb|page.mi.fu-berlin.de/rote/Papers/pdf/Division-free+algorithms.pdf|
 
-\bibitem[Rothstein 77]{Ro77} Rothstein, Michael\\
-``A new algorithm for the integration of 
-exponential and logarithmic functions''\\
-In {\sl Proceedings of the 1977 MACSYMA Users Conference}, 
-pages 263-274. NASA Pub CP-2012, 1977
-
 \bibitem[Rubey 07]{Rub07} Rubey, Martin\\
 ``Formula Guessing with Axiom''\\
 April 2007
@@ -3253,10 +3479,10 @@ Software Practice and Experience. 6(1) (1976)
 ``CRC Standard Curves and Surfaces''\\
 CRC Press (1993) ISBN 0-8493-0196-3
 
-\bibitem[Seiler 95]{REF-SC95} Seiler, W.M.; Calmet, J.\\
+\bibitem[Seiler 95a]{Sei95a} Seiler, W.M.; Calmet, J.\\
 ``JET -- An Axiom Environment for Geometric Computations with Differential
-Equations''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+Equations''
+%\verb|axiom-developer.org/axiom-website/papers/Sei95a.pdf|
 
 \bibitem[Shepard 68]{She68} Shepard D.\\
 ``A Two-dimensional Interpolation Function for Irregularly Spaced Data''\\
@@ -3341,14 +3567,6 @@ J. Comput. Phys. 52 1--23. (1983)
 ``Fast Mixed-Radix Real Fourier Transforms''\\
 J. Comput. Phys. 52 340--350. (1983)
 
-\bibitem[Trager 76]{Tr76} Trager, Barry\\
-``Algebraic factoring and rational function integration''\\
-In {Proceedings of SYMSAC'76} pages 219-226, 1976
-
-\bibitem[Trager 84]{Tr84} Trager, Barry\\
-``On the integration of algebraic functions''\\
-PhD thesis, MIT, Computer Science, 1984
-
 \subsection{U} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem[Unknown 61]{Unk61} Unknown\\
@@ -3391,7 +3609,7 @@ SIAM J. Numer. Anal. 12 835--853. 1975
 ``Aldor''\\
 \verb|www.aldor.org|
 
-\bibitem[Weil 71]{We71} Weil, Andr\'{e}.\\
+\bibitem[Weil 71]{We71} Weil, Andr\'{e}\\
 ``Courbes alg\'{e}briques et vari\'{e}t\'{e}s Abeliennes''\\
 Hermann, Paris, 1971
 
@@ -3485,13 +3703,63 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 
 \section{Special Topics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\subsection{Solving Systems of Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\bibitem[Bronstein 86]{Bro86} Bronstein, Manuel\\
+``Gsolve: a faster algorithm for solving systems of algebraic equations''\\
+Proc of 5th ACM SYMSAC (1986) pp247-249 ISBN 0-89791-199-7
+
+\begin{adjustwidth}{2.5em}{0pt}
+We apply the elimination property of Gr\"obner bases with respect to
+pure lexicographic ordering to solve systems of algebraic equations.
+We suggest reasons for this approach to be faster than the resultant
+technique, and give examples and timings that show that it is indeed
+faster and more correct, than MACSYMA's solve.
+\end{adjustwidth}
+
 \subsection{Numerical Algorithms} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\bibitem[Bronstein 99]{Bro99} Bronstein, Manuel\\
+``Fast Deterministic Computation of Determinants of Dense Matrices''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro99.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+In this paper we consider deterministic computation of the exact
+determinant of a dense matrix $M$ of integers. We present a new
+algorithm with worst case complexity
+\[O(n^4(log n+ log \verb?||M||?)+x^3 log^2 \verb?||M||?)\], 
+where $n$ is the dimension of the matrix
+and \verb?||M||? is a bound on the entries in $M$, but with 
+average expected complexity 
+\[O(n^4+m^3(log n + log \verb?||M||?)^2)\],
+assuming some plausible properties about the distribution of $M$.
+We will also describe a practical version of the algorithm and include
+timing data to compare this algorithm with existing ones. Our result
+does not depend on ``fast'' integer or matrix techniques.
+\end{adjustwidth}
+
+\bibitem[Kelsey 00]{Kel00} Kelsey, Tom\\
+``Exact Numerical Computation via Symbolic Computation''\\
+\verb|tom.host.cs.st-andrews.ac.uk/pub/ccapaper.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Kel00.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We provide a method for converting any symbolic algebraic expression
+that can be converted into a floating point number into an exact
+numeric representation. We use this method to demonstrate a suite of
+procedures for the representation of, and arithmetic over, exact real
+numbers in the Maple computer algebra system. Exact reals are
+represented by potentially infinite lists of binary digits, and
+interpreted as sums of negative powers of the golden ratio.
+\end{adjustwidth}
+
 \bibitem[Yang 14]{Yang14} Yang, Xiang; Mittal, Rajat\\
 ``Acceleration of the Jacobi iterative method by factors exceeding 100
 using scheduled relation''\\
 \verb|engineering.jhu.edu/fsag/wp-content/uploads/sites/23/2013/10|
 \verb|JCP_revised_WebPost.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Yang14.pdf|
 
 \subsection{Special Functions} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
@@ -3499,6 +3767,7 @@ using scheduled relation''\\
 Watt, Stephen M.; Bradford, Russell; Davenport, James H.\\
 ``Reasoning about the elementary functions of complex analysis''\\
 \verb|www.csd.uwo.ca/~watt/pub/reprints/2002-amai-reasoning.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Corl05.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 There are many problems with the simplification of elementary
@@ -3518,6 +3787,7 @@ the original problem of complex-variable analysis.
 ``A compact analytical fit to the exponential integral $E_1(x)$\\
 Technical Report ARL-TR-1758, U.S. Army Ballistic Research Laboratory,\\
 Aberdeen Proving Ground, MD, September 1998
+%\verb|axiom-developer.org/axiom-website/papers/Se98.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 A four-parameter fit is developed for the class of integrals known as
@@ -3544,6 +3814,7 @@ problems as well.
 ``Improved fits for $E_1(x)$ {\sl vis-\'a-vis} those presented in ARL-TR-1758\\
 Technical Report ARL-TR-1758, U.S. Army Ballistic Research Laboratory,\\
 Aberdeen Proving Ground, MD, September 1998
+%\verb|axiom-developer.org/axiom-website/papers/Se09.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This is a writeup detailing the more accurate fits to $E_1(x)$,
@@ -3570,6 +3841,7 @@ J. Symbolic Computation (1990) Vol 9 pp429-455\hfill{}\\
 \verb|www.researchgate.net/publication/220161718_Analysis_of_Euclidean_|\\
 \verb|Algorithms_for_Polynomials_over_Finite_Fields/file/|\\
 \verb|60b7d52b326a1058e4.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Ma90.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper analyzes the Euclidean algorithm and some variants of it 
@@ -3583,6 +3855,7 @@ are derived.
 ``Polynomial GCD Using Straight Line Program Representation''\\
 PhD. Thesis, University of Bath, 2000\\
 \verb|www.sci.csd.uwo.ca/~bill/thesis.ps|
+%\verb|axiom-developer.org/axiom-website/papers/N00.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This thesis is concerned with calculating polynomial greatest common
@@ -3621,6 +3894,7 @@ subjects encountered during the thesis.
 Reality*''\\
 Proc. IMACS Symposium, Lille, France, (1993)
 \verb|www.shoup.net/papers/lille.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Sh93.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper compares the algorithms by Berlekamp, Cantor and Zassenhaus,
@@ -3637,6 +3911,7 @@ algorithm should be used
 ``Factoring Polynomials Over Finite Fields: A Survey''\\
 J. Symbolic Computation (2001) Vol 31, pp3-17\hfill{}\\
 \verb|people.csail.mit.edu/dmoshdov/courses/codes/poly-factorization.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Ga01.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This survey reviews several algorithms for the factorization of
@@ -3653,6 +3928,7 @@ probabilistic.
 Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
 \verb|www.ams.org/journals/mcom/1978-32-144/S0025-5718-1978-0568284-3/|
 \verb|S0025-5718-1978-0568284-3.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Wang78.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 A new algorithm for factoring multivariate polynomials over the
@@ -3673,6 +3949,7 @@ comparative timing are included.
 \bibitem[Baez 09]{Baez09} Baez, John C.; Stay, Mike\\
 ``Physics, Topology, Logic and Computation: A Rosetta Stone''\\
 \verb|arxiv.org/pdf/0903.0340v3.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Baez09.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 In physics, Feynman diagrams are used to reason about quantum
@@ -3694,6 +3971,7 @@ category theory, proof theory or computer science.
 \bibitem[Meijer 91]{Meij91} Meijer, Erik; Fokkinga, Maarten; Paterson, Ross\\
 ``Functional Programming with Bananas, Lenses, Envelopes and Barbed Wire''\\
 \verb|eprints.eemcs.utwente.nl/7281/01/db-utwente-40501F46.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Meij91.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 We develop a calculus for lazy functional programming based on
@@ -3706,8 +3984,8 @@ expressed using these operators.
 
 \bibitem[Youssef 04]{You04} Youssef, Saul\\
 ``Prospects for Category Theory in Aldor''\\
-October 2004\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+October 2004
+%\verb|axiom-developer.org/axiom-website/papers/You04.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Ways of encorporating category theory constructions and results into
@@ -3737,8 +4015,8 @@ development of zero-fault software.
 \end{adjustwidth}
 
 \bibitem[Boulme 00]{BHR00} Boulm\'e, S.; Hardin, T.; Rioboo, R.\\
-``Polymorphic Data Types, Objects, Modules and Functors,: is it too much?''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+``Polymorphic Data Types, Objects, Modules and Functors,: is it too much?''
+%\verb|axiom-developer.org/axiom-website/papers/BHR00.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Abstraction is a powerful tool for developers and it is offered by
@@ -3758,8 +4036,8 @@ faster than analogous ones such as Axiom.
 \bibitem[Boulme 01]{BHHMR01}
 Boulm\'e, S.; Hardin, T.; Hirschkoff, D.; M\'enissier-Morain, V.; Rioboo, R.\\
 ``On the way to certify Computer Algebra Systems''\\
-Calculemus-2001\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+Calculemus-2001
+%\verb|axiom-developer.org/axiom-website/papers/BHHMR01.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 The FOC project aims at supporting, within a coherent software system,
@@ -3784,6 +4062,7 @@ This may ease the achievement of proofs.
 Jansson, Patrik; Gibbons, Jeremy\\
 ``Fast and Loose Reasoning is Morally Correct''\\
 ACM POPL'06 January 2005, Charleston, South Carolina, USA
+%\verb|axiom-developer.org/axiom-website/papers/Dani06.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Functional programmers often reason about programs as if they were
@@ -3810,6 +4089,7 @@ England, Matthew; Wilson, David\\
 ``Program Verification in the presence of complex numbers, functions with
 branch cuts etc.''\\
 \verb|arxiv.org/pdf/1212.5417.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Davenp12.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 In considering the reliability of numerical programs, it is normal to
@@ -3835,6 +4115,7 @@ possibilities.
 \bibitem[Dolzmann 97]{Dolz97} Dolzmann, Andreas; Sturm, Thomas\\
 ``Guarded Expressions in Practice''\\
 \verb|redlog.dolzmann.de/papers/pdf/MIP-9702.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Dolz97.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Computer algebra systems typically drop some degenerate cases when
@@ -3857,6 +4138,7 @@ which is freely available on the WWW.
 and Computer Algebra System Framework''\\
 Calculemus (2011) Springer
 \verb|paradise.caltech.edu/~yli/paper/oa-polyml.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/DR11.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper presents an ongoing effort to integrate the Axiom family of
@@ -3869,9 +4151,9 @@ a modest cost. Our approach is based on retargeting the code generator
 of the OpenAxiom compiler to the Poly/ML abstract machine.
 \end{adjustwidth}
 
-\bibitem[Dunstan (a)]{Dunxx} Dunstan, Martin N.\\
-``Adding Larch/Aldor Specifications to Aldor''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[Dunstan 00a]{Dun00a} Dunstan, Martin N.\\
+``Adding Larch/Aldor Specifications to Aldor''
+%\verb|axiom-developer.org/axiom-website/papers/Dunxx.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 We describe a proposal to add Larch-style annotations to the Aldor
@@ -3886,8 +4168,8 @@ the compiler to make use of this technology.
 \bibitem[Dunstan 98]{Dun98} Dunstan, Martin; Kelsey, Tom; Linton, Steve;
 Martin, Ursula\\
 ``Lightweight Formal Methods For Computer Algebra Systems''\\
-\verb|www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf|\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\verb|www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Dun98.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Demonstrates the use of formal methods tools to provide a semantics for
@@ -3899,8 +4181,8 @@ abstract specifications of Axiom primitives.
 \bibitem[Dunstan 99a]{Dun99a} Dunstan, MN\\
 ``Larch/Aldor - A Larch BISL for AXIOM and Aldor''\\
 PhD Thesis, 1999\\
-\verb|www.cs.st-andrews.uk/files/publications/Dun99.php|\\
-\verb|axiom-portal.newsynthesis.org/refs/articles/mnd-sep99-thesis.pdf|
+\verb|www.cs.st-andrews.uk/files/publications/Dun99.php|
+%\verb|axiom-developer.org/axiom-website/papers/Dun99a.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 In this thesis we investigate the use of lightweight formal methods
@@ -3919,11 +4201,21 @@ condition generator for Larch/Aldor.
 Linton, Steve\\
 ``Formal Methods for Extensions to CAS''\\
 FM 99, Toulouse, France, Sept 20-24, 1999, p1758-1777
+%\verb|axiom-developer.org/axiom-website/papers/Dun00.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We demonstrate the use of formal methods tools to provide a semantics
+for the type hierarchy of the AXIOM computer algebra system, and a
+methodology for Aldor program analysis and verification. We give a
+case study of abstract specifications of AXIOM primitives, and provide
+an interface between these abstractions and Aldor code.
+\end{adjustwidth}
 
 \bibitem[Hardin 13]{Hard13} Hardin, David S.; McClurg, Jedidiah R.; 
 Davis, Jennifer A.\\
 ``Creating Formally Verified Components for Layered Assurance with an LLVM to ACL2 Translator''\\
 \verb|www.jrmcclurg.com/papers/law_2013_paper.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Hard13.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper describes an effort to create a library of formally
@@ -3938,6 +4230,7 @@ the component model using ACL2's automated reasoning capabilities.
 Greve, David A.; McClurg, Jedidiah R.\\
 ``Development of a Translator from LLVM to ACL2''\\
 \verb|arxiv.org/pdf/1406.1566|
+%\verb|axiom-developer.org/axiom-website/papers/Hard14.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 In our current work a library of formally verified software components
@@ -3964,6 +4257,7 @@ validation test for that example.
 ``Specifying Systems''\\
 \verb|research.microsoft.com/en-us/um/people/lamport/tla/book-02-08-08.pdf|
 Addison-Wesley ISBN 0-321-14306-X
+%\verb|axiom-developer.org/axiom-website/papers/Lamp02.pdf|
 
 \bibitem[Newcombe 13]{Newc13} Newcombe, Chris; Rath, Tim; Zhang, Fan;
 Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael\\
@@ -3998,6 +4292,7 @@ formal specification language.
 \bibitem[Poll 99a]{P99a} Poll, Erik\\
 ``The Type System of Axiom''\\
 \verb|www.cs.ru.nl/E.Poll/talks/axiom.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/P99a.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This is a slide deck from a talk on the correspondence between
@@ -4007,6 +4302,7 @@ Axiom/Aldor types and Logic.
 \bibitem[Poll 99]{PT99} Poll, Erik; Thompson, Simon\\
 ``The Type System of Aldor''\\
 \verb|www.cs.kent.ac.uk/pubs/1999/874/content.ps|
+%\verb|axiom-developer.org/axiom-website/papers/PT99.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper gives a formal description of -- at least a part of --
@@ -4019,6 +4315,7 @@ emerges.
 ``Adding the axioms to Axiom. Toward a system of automated reasoning in
 Aldor''\\
 \verb|citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.7.1457&rep=rep1&type=ps|
+%\verb|axiom-developer.org/axiom-website/papers/PTxx.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper examines the proposal of using the type system of Axiom to
@@ -4047,8 +4344,8 @@ One element type        Triv          True proposition
 
 \bibitem[Poll 00]{PT00} Poll, Erik; Thompson, Simon\\
 ``Integrating Computer Algebra and Reasoning through the Type System
-of Aldor''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+of Aldor''
+%\verb|axiom-developer.org/axiom-website/papers/PT00.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 A number of combinations of reasoning and computer algebra systems
@@ -4068,15 +4365,18 @@ in Haskell.
 O'Donnell, Michael J.\\
 ``Exact Real Arithmetic: A Case Study in Higher Order Programming''\\
 \verb|dev.acm.org/pubs/citations/proceedings/lfp/319838/p162-boehm|
+%\verb|axiom-developer.org/axiom-website/papers/Boe86.pdf|
 
 \bibitem[Briggs 04]{Bri04} Briggs, Keith\\
 ``Exact real arithmetic''\\
 \verb|keithbriggs.info/documents/xr-kent-talk-pp.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bri04.pdf|
 
 \bibitem[Fateman 94]{Fat94} Fateman, Richard J.; Yan, Tak W.\\
 ``Computation with the Extended Rational Numbers and an Application to 
 Interval Arithmetic''\\
 \verb|www.cs.berkeley.edu/~fateman/papers/extrat.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Fat94.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Programming languages such as Common Lisp, and virtually every
@@ -4130,8 +4430,8 @@ that these kind of techniques can be applied to Axiom.
 \end{adjustwidth}
 
 \bibitem[Leeuwen]{Leexx} van Leeuwen, Andr\'e M.A.\\
-``Representation of mathematical object in interactive books''\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+``Representation of mathematical object in interactive books''
+%\verb|axiom-developer.org/axiom-website/papers/Leexx.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present a model for the representation of mathematical objects in
@@ -4152,6 +4452,7 @@ computation.
 \bibitem[Soiffer 91]{Soif91} Soiffer, Neil Morrell\\
 ``The Design of a User Interface for Computer Algebra Systems''\\
 \verb|www.eecs.berkeley.edu/Pubs/TechRpts/1991/CSD-91-626.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Soif91.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 This thesis discusses the design and implementation of natural user
@@ -4186,9 +4487,576 @@ In particular, this applies well to Axiom's focus on literate programming.
 
 \subsection{Differential Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\bibitem[Abramov 95]{Abra95} Abramov, Sergei A.; Bronstein, Manuel; 
+Petkovsek, Marko\\
+``On Polynomial Solutions of Linear Operator Equations''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Abra95.pdf|
+
+\bibitem[Abramov 01]{Abra01} Abramov, Sergei; Bronstein, Manuel\\
+``On Solutions of Linear Functional Systems''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Abra01.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe a new direct algorithm for transforming a linear system of
+recurrences into an equivalent one with nonsingular leading or
+trailing matrix. Our algorithm, which is an improvement to the EG
+elimination method, uses only elementary linear algebra operations
+(ranks, kernels, and determinants) to produce an equation satisfied by
+the degress of the solutions with finite support. As a consequence, we
+can boudn and compute the polynomial and rational solutions of very
+general linear functional systems such as systems of differential or
+($q-$)difference equations.
+\end{adjustwidth}
+
+\bibitem[Bronstein xb]{Broxb} Bronstein, Manuel\\
+``Computer Algebra Algorithms for Linear Ordinary Differential and
+Difference equations''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/ecm3.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Broxb.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Galois theory has now produced algorithms for solving linear ordinary
+differential and difference equations in closed form. In addition,
+recent algorithmic advances have made those algorithms effective and
+implementable in computer algebra systems. After introducing the
+relevant parts of the theory, we describe the latest algorithms for
+solving such equations.
+\end{adjustwidth}
+
+\bibitem[Bronstein 94]{Bro94} Bronstein, Manuel\\
+``An improved algorithm for factoring linear ordinary differential
+operators''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe an efficient algorithm for computing the associated
+equations appearing in the Beke-Schlesinger factorisation method for
+linear ordinary differential operators. This algorithm, which is based
+on elementary operations with sets of integers, can be easily
+implemented for operators of any order, produces several possible
+associated equations, of which only the simplest can be selected for
+solving, and often avoids the degenerate case, where the order of the
+associated equation is less than in the generic case. We conclude with
+some fast heuristics that can produce some factorizations while using
+only linear computations.
+\end{adjustwidth}
+
+\bibitem[Bronstein xa]{Broxa} Bronstein, Manuel; Petkovsek, Marko\\
+``An introduction to pseudo-linear algebra''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Broxa.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Pseudo-linear algebra is the study of common properties of linear
+differential and difference operators. We introduce in this paper its
+basic objects (pseudo-derivations, skew polynomials, and pseudo-linear
+operators) and describe several recent algorithms on them, which, when
+applied in the differential and difference cases, yield algorithms for
+uncoupling and solving systems of linear differential and difference
+equations in closed form.
+\end{adjustwidth}
+
+\bibitem[Bronstein 90]{Bro90} Bronstein, Manuel\\
+``On Solutions of Linear Ordinary Differential Equations in their Coefficient Field''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe a rational algorithm for finding the denominator of any
+solution of a linear ordinary differential equation in its coefficient
+field. As a consequence, there is now a rational algorithm for finding
+all such solutions when the coefficients can be built up from the
+rational functions by finitely many algebraic and primitive
+adjunctions. This also eliminates one of the computational bottlenecks
+in algorithms that either factor or search for Liouvillian solutions
+of such equations with Liouvillian coefficients.
+\end{adjustwidth}
+
+\bibitem[Bronstein 96]{Bro96} Bronstein, Manuel\\
+``$\sum^{IT}$ -- A strongly-typed embeddable computer algebra library''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro96.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe the new computer algebra library $\sum^{IT}$ and its
+underlying design. The development of $\sum^{IT}$ is motivated by the
+need to provide highly efficient implementations of key algorithms for
+linear ordinary differential and ($q$)-difference equations to
+scientific programmers and to computer algebra users, regardless of
+the programming language or interactive system they use. As such,
+$\sum^{IT}$ is not a computer algebra system per se, but a library (or
+substrate) which is designed to be ``plugged'' with minimal efforts
+into different types of client applications.
+\end{adjustwidth}
+
+\bibitem[Bronstein 99a]{Bro99a} Bronstein, Manuel\\
+``Solving linear ordinary differential equations over 
+$C(x,e^{\int{f(x)dx}})$\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro99a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe a new algorithm for computing the solutions in
+\[F=C(x,e^{\int{f(x)dx}})\] of linear ordinary differential equations
+with coefficients in $F$. Compared to the general algorithm, our
+algorithm avoids the computation of exponential solutions of equations
+with coefficients in $C(x)$, as well as the solving of linear
+differential systems over $C(x)$. Our method is effective and has been
+implemented.
+\end{adjustwidth}
+
+\bibitem[Bronstein 00]{Bro00} Bronstein, Manuel\\
+``On Solutions of Linear Ordinary Differential Equations in their Coefficient Field''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro00.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We extend the notion of monomial extensions of differential fields,
+i.e. simple transcendental extensions in which the polynomials are
+closed under differentiation, to difference fields. The structure of
+such extensions provides an algebraic framework for solving
+generalized linear difference equations with coefficients in such
+fields. We then describe algorithms for finding the denominator of any
+solution of those equations in an important subclass of monomial
+extensions that includes transcendental indefinite sums and
+products. This reduces the general problem of finding the solutions of
+such equations in their coefficient fields to bounding their
+degrees. In the base case, this yields in particular a new algorithm
+for computing the rational solutions of $q$-difference equations with
+polynomial coefficients.
+\end{adjustwidth}
+
+\bibitem[Bronstein 02]{Bro02} Bronstein, Manuel; Lafaille, S\'ebastien\\
+``Solutions of linear ordinary differential equations in terms of 
+special functions''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac2002.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bro02.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe a new algorithm for computing special function solutions
+of the form $y(x) = m(x)F(\eta(x))$ of second order linear ordinary
+differential equations, where $m(x)$ is an arbitrary Liouvillian
+function, $\eta(x)$ is an arbitrary rational function, and $F$
+satisfies a given second order linear ordinary differential
+equations. Our algorithm, which is base on finding an appropriate
+point transformation between the equation defining $F$ and the one to
+solve, is able to find all rational transformations for a large class
+of functions $F$, in particular (but not only) the $_0F_1$ and $_1F_1$
+special functions of mathematical physics, such as Airy, Bessel,
+Kummer and Whittaker functions. It is also able to identify the values
+of the parameters entering those special functions, and can be
+generalized to equations of higher order.
+\end{adjustwidth}
+
+\bibitem[Bronstein 03]{Bro03} Bronstein, Manuel; Trager, Barry M.\\
+``A Reduction for Regular Differential Systems''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mega2003.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bro03.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We propose a definition of regularity of a linear differential system
+with coefficients in a monomial extension of a differential field, as
+well as a global and truly rational (i.e. factorisation-free)
+iteration that transforms a system with regular finite singularites
+into an equivalent one with simple finite poles. We then apply our
+iteration to systems satisfied by bases of algebraic function fields,
+obtaining algorithms for computing the number of irreducible
+components and the genus of algebraic curves.
+\end{adjustwidth}
+
+\bibitem[Bronstein 03a]{Bro03a} Bronstein, Manuel; Sol\'e, Patrick\\
+``Linear recurrences with polynomial coefficients''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
+%\verb|axiom-developer.org/axiom-website/papers/Bro03a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We relate sequences generated by recurrences with polynomial
+coefficients to interleaving and multiplexing of sequences generated
+by recurrences with constant coefficients. In the special case of
+finite fields, we show that such sequences are periodic and provide
+linear complexity estimates for all three constructions.
+\end{adjustwidth}
+
+\bibitem[Bronstein 05]{Bro05} Bronstein, Manuel; Li, Ziming; Wu, Min\\
+``Picard-Vessiot Extensions for Linear Functional Systems''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac2005.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bro05.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Picard-Vessiot extensions for ordinary differential and difference
+equations are well known and are at the core of the associated Galois
+theories. In this paper, we construct fundamental matrices and
+Picard-Vessiot extensions for systems of linear partial functional
+equations having finite linear dimension. We then use those extensions
+to show that all the solutions of a factor of such a system can be
+completed to solutions of the original system.
+\end{adjustwidth}
+
 \bibitem[Von Mohrenschildt 94]{Mohr94} Von Mohrenschildt, Martin\\
 ``Symbolic Solutions of Discontinuous Differential Equations''\\
 \verb|e-collection.library.ethz.ch/eserv/eth:39463/eth-39463-01.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mohr94.pdf|
+
+\bibitem[Weber 06]{Webe06} Weber, Andreas\\
+``Quantifier Elimination on Real Closed Fields and Differential Equations''\\
+\verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber2006a.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Webe06.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This paper surveys some recent applications of quantifier elimination
+on real closed fields in the context of differential
+equations. Although polynomial vector fields give rise to solutions
+involving the exponential and other transcendental functions in
+general, many questions can be settled within the real closed field
+without referring to the real exponential field. The technique of
+quantifier elimination on real closed fields is not only of
+theoretical interest, but due to recent advances on the algorithmic
+side including algorithms for the simplification of quantifier-free
+formulae the method has gained practical applications, e.g. in the
+context of computing threshold conditions in epidemic modeling.
+\end{adjustwidth}{2.5em}{0pt}
+
+\subsection{Expression Simplification} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\bibitem[Carette 04]{Car04} Carette, Jacques\\
+``Understanding Expression Simplification''\\
+\verb|www.cas.mcmaster.ca/~carette/publications/simplification.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Car04.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We give the first formal definition of the concept of {\sl
+simplification} for general expressions in the context of Computer
+Algebra Systems. The main mathematical tool is an adaptation of the
+theory of Minimum Description Length, which is closely related to
+various theories of complexity, such as Kolmogorov Complexity and
+Algorithmic Information Theory. In particular, we show how this theory
+can justify the use of various ``magic constants'' for deciding
+between some equivalent representations of an expression, as found in
+implementations of simplification routines.
+\end{adjustwidth}
+
+\subsection{Integration} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\bibitem[Baddoura 94]{Bad94} Baddoura, Mohamed Jamil\\
+``Integration in Finite Terms with Elementary Functions and Dilogarithms''\\
+\verb|dspace.mit.edu/bitstream/handle/1721.1/26864/30757785.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bad94.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+In this thesis, we report on a new theorem that generalizes
+Liouville's theorem on integration in finite terms. The new theorem
+allows dilogarithms to occur in the integral in addition to elementary
+functions. The proof is base on two identities for the dilogarithm,
+that characterize all the possible algebraic relations among
+dilogarithms of functions that are built up from the rational
+functions by taking transcendental exponentials, dilogarithms, and
+logarithms.
+\end{adjustwidth}
+
+\bibitem[Bronstein 97]{Bro97} Bronstein, M.\\ 
+``Symbolic Integration I--Transcendental Functions.''\\
+Springer, Heidelberg, 1997 ISBN 3-540-21493-3
+\verb|evil-wire.org/arrrXiv/Mathematics/Bronstein,_Symbolic_Integration_I,1997.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Bro97.pdf|
+
+\bibitem[Bronstein 05a]{Bro05a} Bronstein, Manuel\\
+``The Poor Man's Integrator, a parallel integration heuristic''\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/pmint.txt|\\
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/examples|
+%\verb|axiom-developer.org/axiom-website/papers/Bro05a.txt|
+
+\bibitem[Cherry 84]{Che84} Cherry, G.W.\\
+``Integration in Finite Terms with Special Functions: 
+The Error Function''\\
+J. Symbolic Computation (1985) Vol 1 pp283-302
+%\verb|axiom-developer.org/axiom-website/papers/Che84.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+A decision procedure for integrating a class of transcendental
+elementary functions in terms of elementary functions and error
+functions is described. The procedure consists of three mutually
+exclusive cases. In the first two cases a generalised procedure for
+completing squares is used to limit the error functions which can
+appear in the integral of a finite number.  This reduces the problem
+to the solution of a differential equation and we use a result of
+Risch (1969) to solve it.  The third case can be reduced to the
+determination of what we have termed $\sum$-decompositions. The resutl
+presented here is the key procuedure to a more general algorithm which
+is described fully in Cherry (1983).
+\end{adjustwidth}
+
+\bibitem[Cherry 86]{Che86} Cherry, G.W.\\
+``Integration in Finite Terms with Special Functions: 
+The Logarithmic Integral''\\
+SIAM J. Comput. Vol 15 pp1-21 February 1986
+
+\bibitem[Cherry 89]{Che89} Cherry, G.W.\\
+``An Analysis of the Rational Exponential Integral''\\
+SIAM J. Computing Vol 18 pp 893-905 (1989)
+
+\bibitem[Davenport 79b]{Dav79b} Davenport, James Harold\\
+``On the Integration of Algebraic Functions''\\
+Springer-Verlag Lecture Notes in Computer Science 102
+ISBN 0-387-10290-6
+
+\bibitem[Davenport 82]{Dav82} Davenport, J.H.\\
+``On the Parallel Risch Algorithm (III): Use of Tangents''\\
+SIGSAM V16 no. 3 pp3-6 August 1982
+
+\bibitem[Fateman 02]{Fat02} Fateman, Richard\\
+``Symbolic Integration''\\
+\verb|inst.eecs.berkeley.edu/~cs282/sp02/lects/14.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Fat02.pdf|
+
+\bibitem[Geddes 92a]{GCL92a} Geddes, K.O.; Czapor, S.R.; Labahn, G.\\
+``The Risch Integration Algorithm''\\
+Algorithms for Computer Algebra, Ch 12 pp511-573 (1992)
+
+\bibitem[Hardy 1916]{Hard16} Hardy, G.H.\\
+``The Integration of Functions of a Single Variable''\\
+Cambridge Unversity Press, Cambridge, 1916
+
+\bibitem[Hermite 1872]{Her1872} Hermite, E.\\
+``Sur l'int\'{e}gration des fractions rationelles.''\\
+{\sl Nouvelles Annales de Math\'{e}matiques}
+($2^{eme}$ s\'{e}rie), 11:145-148, 1872
+
+\bibitem[Knowles 93]{Know93} Knowles, P.\\
+``Integration of a class of transcendental liouvillian
+functions with error-functions i''\\
+Journal of Symbolic Computation Vol 13 pp525-543 (1993)
+
+\bibitem[Knowles 95]{Know95} Knowles, P.\\
+``Integration of a class of transcendental liouvillian
+functions with error-functions ii''\\
+Journal of Symbolic Computation Vol 16 pp227-241 (1995)
+
+\bibitem[Lang 93]{Lang93} Lang, S.\\
+``Algebra''\\
+Addison-Wesly, New York, 3rd edition 1993
+
+\bibitem[Liouville 1833a]{Lio1833a} Liouville, Joseph\\
+``Premier m\'{e}moire sur la
+d\'{e}termination des int\'{e}grales dont la valeur est
+alg\'{e}brique''\\
+{\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
+
+\bibitem[Liouville 1833b]{Lio1833b} Liouville, Joseph\\ 
+``Second m\'{e}moire sur la d\'{e}termination des int\'{e}grales 
+dont la valeur est alg\'{e}brique''\\
+{\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
+
+\bibitem[Liouville 1833c]{Lio1833c} Liouville, Joseph\\
+``Note sur la determination des int\'egrales dont la
+valeur est alg\'ebrique''\\
+Journal f\"ur die Reine und Angewandte Mathematik,
+Vol 10 pp 247-259, (1833)
+
+\bibitem[Liouville 1833d]{Lio1833d} Liouville, Joseph\\
+``Sur la determination des int\'egrales dont la valeur est
+alg\'ebrique''\\
+{\sl Journal de l'Ecole Polytechnique}, 14:124-193, 1833
+
+\bibitem[Liouville 1835]{Lio1835} Liouville, Joseph\\
+``M\'emoire sur l'int\'gration d'une classe de fonctions
+transcendentes''\\
+Journal f\"ur die Reine und Angewandte Mathematik,
+Vol 13(2) pp 93-118, (1835)
+
+\bibitem[Moses 71a]{Mos71a} Moses, Joel\\
+``Symbolic Integration: The Stormy Decade''\\
+\verb|www-inst.eecs.berkeley.edu/~cs282/sp02/readings/moses-int.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mos71a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Three approaches to symbolic integration in the 1960's are
+described. The first, from artificial intelligence, led to Slagle's
+SAINT and to a large degree to Moses' SIN. The second, from algebraic
+manipulation, led to Monove's implementation and to Horowitz' and
+Tobey's reexamination of the Hermite algorithm for integrating
+rational functions. The third, from mathematics, led to Richardson's
+proof of the unsolvability of the problem for a class of functions and
+for Risch's decision procedure for the elementary functions. 
+Generalizations of Risch's algorithm to a class of special
+functions and programs for solving differential equations and for
+finding the definite integral are also described.
+\end{adjustwidth}
+
+\bibitem[Ostrowski 46]{Ost46} Ostrowski, A.\\
+``Sur l'int\'egrabilit\'e \'el\'ementaire de quelques classes
+d'expressions''\\
+Comm. Math. Helv., Vol 18 pp 283-308, (1946)
+
+\bibitem[Raab 13]{Raab13} Raab, Clemens G.\\
+``Generalization of Risch's Algorithm to Special Functions''\\
+\verb|arxiv.org/pdf/1305.1481.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Raab13.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Symbolic integration deals with the evaluation of integrals in closed
+form. We present an overview of Risch's algorithm including recent
+developments. The algorithms discussed are suited for both indefinite
+and definite integration. They can also be used to compute linear
+relations among integrals and to find identities for special functions
+given by parameter integrals. The aim of this presentation is twofold:
+to introduce the reader to some basic idea of differential algebra in
+the context of integration and to raise awareness in the physics
+community of computer algebra algorithms for indefinite and definite
+integration.
+\end{adjustwidth}
+
+\bibitem[Raab xx]{Raabxx} Raab, Clemens G.\\
+``Integration in finite terms for Liouvillian functions''\\
+\verb|www.mmrc.iss.ac.cn/~dart4/posters/Raab.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Raabxx.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Computing integrals is a common task in many areas of science,
+antiderivatives are one way to accomplish this.  The problem of
+integration in finite terms can be states as follows. Given a
+differential field $(F,D)$ and $f \in F$, compute $g$ in some
+elementary extension of $(F,D)$ such that $Dg = f$ if such a $g$
+exists.
+
+This problem has been solved for various classes of fields $F$.  For
+rational functions $(C(x), \frac{d}{dx})$ such a $g$ always exists and
+algorithms to compute it are known already for a long time. In 1969
+Risch published an algorithm that solves this problem when $(F,D)$ is
+a transcendental elementary extension of $(C(x),\frac{d}{dx})$. Later
+this has been extended towards integrands being Liouvillian functions
+by Singer et. al. via the use of regular log-explicit extensions of
+$(C(x),\frac{d}{dx})$. Our algorithm extends this to handling
+transcendental Liouvillian extensions $(F,D)$ of $(C,0)$ directly
+without the need to embed them into log-explicit extensions. For
+example, this means that
+\[\int{(z-x)x^{z-1}e^{-x}dx} = x^ze^{-x}\]
+can be computed without including log(x) in the differential field.
+\end{adjustwidth}
+
+\bibitem[Risch 68]{Ris68} Risch, Robert\\
+``On the integration of elementary functions
+which are built up using algebraic operations''\\
+Research Report
+SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA, 1968
+
+\bibitem[Risch 69a]{Ris69a} Risch, Robert\\
+``Further results on elementary functions''\\
+Research Report RC-2042, IBM Research, Yorktown Heights, NY, USA, 1969
+
+\bibitem[Risch 69b]{Ris69b} Risch, Robert\\
+``The problem of integration in finite terms''\\
+{\sl Transactions of the American Mathematical Society} 139:167-189, 1969
+%\verb|axiom-developer.org/axiom-website/papers/Ris69b.pdf|
+
+\bibitem[Risch 69c]{Ris69c} Risch, Robert\\
+``The Solution of the Problem of Integration in Finite Terms''\\
+\verb|www.ams.org/journals/bull/1970-76-03/S0002-9904-1970-12454-5/|
+\verb|S0002-9904-1970-12454-5.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ris69c.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+The problem of integration in finite terms asks for an algorithm for
+deciding whether an elementary function has an elementary indefinite
+integral and for finding the integral if it does.  ``Elementary'' is
+used here to denote those functions build up from the rational
+functions using only exponentiation, logarithms, trigonometric,
+inverse trigonometric and algebraic operations.  This vaguely worded
+question has several precise, but inequivalent formulations. The
+writer has devised an algorithm which solves the classical problem of
+Liouville. A complete account is planned for a future publication. The
+present note is intended to indiciate some of the ideas and techniques
+involved.
+\end{adjustwidth}
+
+\bibitem[Risch 79]{Ris79} Risch, Robert\\
+``Algebraic properties of the elementary functions of analysis''\\
+{\sl American Journal of Mathematics}, 101:743-759, 1979
+
+\bibitem[Ritt 48]{Ritt48} Ritt, J.F.\\
+``Integration in Finite Terms''\\
+Columbia University Press, New York 1948
+
+\bibitem[Rosenlicht 72]{Ro72} Rosenlicht, Maxwell\\
+``Integration in finite terms''\\
+{\sl American Mathematical Monthly}, 79:963-972, 1972
+%\verb|axiom-developer.org/axiom-website/papers/Ro72.pdf|
+
+\bibitem[Rothstein 76]{Ro76} Rosenlicht, Maxwell\\
+``Aspects of symbolic integration and simplifcation of exponential
+and primitive functions''\\
+PhD thesis, University of Wisconsin-Madison (1976)
+
+\bibitem[Rothstein 77]{Ro77} Rothstein, Michael\\
+``A new algorithm for the integration of 
+exponential and logarithmic functions''\\
+In {\sl Proceedings of the 1977 MACSYMA Users Conference}, 
+pages 263-274. NASA Pub CP-2012, 1977
+
+\bibitem[Seidenberg 58]{Sei58} Seidenberg, Abraham\\
+``Abstract differential algebra and the analytic case''\\
+Proc. Amer. Math. Soc. Vol 9 pp159-164 (1958)
+
+\bibitem[Seidenberg 69]{Sei69} Seidenberg, Abraham\\
+``Abstract differential algebra and the analytic case. II''\\
+Proc. Amer. Math. Soc. Vol 23 pp689-691 (1969)
+
+\bibitem[Singer 85]{Sing85} Singer, M.F.; Saunders, B.D.; Caviness, B.F.\\
+``An extension of Liouville's theorem on integration in finite terms''\\
+SIAM J. of Comp. Vol 14 pp965-990 (1985)
+
+\bibitem[Trager 76]{Tr76} Trager, Barry\\
+``Algebraic factoring and rational function integration''\\
+In {Proceedings of SYMSAC'76} pages 219-226, 1976
+
+\bibitem[Trager 84]{Tr84} Trager, Barry\\
+``On the integration of algebraic functions''\\
+PhD thesis, MIT, Computer Science, 1984
+
+\bibitem[W\"urfl 07]{Wurf07} W\"urfl, Andreas\\
+``Basic Concepts of Differential Algebra''\\
+\verb|www14.in.tum.de/konferenzen/Jass07/courses/1/Wuerfl/wuerfl_paper.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Wurf07.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Modern computer algebra systems symbolically integrate a vast variety
+of functions. To reveal the underlying structure it is necessary to
+understand infinite integration not only as an analytical problem but
+as an algebraic one. Introducing the differential field of elementary
+functions we sketch the mathematical tools like Liouville's Principle
+used in modern algorithms. We present Hermite's method for integration
+of rational functions as well as the Rothstein/Trager method for
+rational and for elementary functions. Further applications of the
+mentioned algorithms in the field of ODE's conclude this paper.
+\end{adjustwidth}
+
+\subsection{Partial Fraction Decomposition} %%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\bibitem[Angell]{Angell} Angell, Tom\\
+``Guidelines for Partial Fraction Decomposition''\\
+\verb|www.math.udel.edu/~angell/partfrac_I.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Angell.pdf|
+
+\bibitem[Laval 08]{Lava08} Laval, Philippe B.\\
+``Partial Fractions Decomposition''\\
+\verb|www.math.wisc.edu/~park/Fall2011/integration/Partial%20Fraction.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Lava08.pdf|
+
+\bibitem[Mudd 14]{Mudd14} Harvey Mudd College\\
+``Partial Fractions''\\
+\verb|www.math.hmc.edu/calculus/tutorials/partial_fractions/partial_fractions.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mudd14.pdf|
+
+\bibitem[Rajasekaran 14]{Raja14} Rajasekaran, Raja\\
+``Partial Fraction Expansion''\\
+\verb|www.utdallas.edu/~raja1/EE4361%20Spring%2014/Lecture%20Notes/|
+\verb|Partial%20Fractions.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Raja14.pdf|
+
+\bibitem[Wootton 14]{Woot14} Wootton, Aaron\\
+``Integration of Rational Functions by Partial Fractions''\\
+\verb|faculty.up.edu/wootton/calc2/section7.4.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Woot14.pdf|
 
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index ea115e6..a5e4752 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140707 tpd src/axiom-website/patches.html 20140707.01.tpd.patch
+20140707 tpd books/bookvolbib add many new references
 20140706 tpd src/axiom-website/patches.html 20140706.01.tpd.patch
 20140706 tpd books/bookvolbib add references Meij91, Mohr94
 20140703 tpd src/axiom-website/patches.html 20140703.04.tpd.patch
diff --git a/patch b/patch
index 1fc67d4..9938a85 100644
--- a/patch
+++ b/patch
@@ -1,7 +1,3 @@
-books/bookvolbib add references Meij91, Mohr94
-
-Mohr94 is related to differential equations.
-Meij91 is related to category theory.
-
-
+books/bookvolbib add many new references
 
+More web searching for Axiom related references.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8de3b19..31533dc 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4528,6 +4528,8 @@ src/axiom-website/documentation.html add Lamport quote
 books/bookvolbib add Lamport book "Specifying Systems"
 <a href="patches/20140706.01.tpd.patch">20140706.01.tpd.patch</a>
 books/bookvolbib add references Meij91, Mohr94
+<a href="patches/20140707.01.tpd.patch">20140707.01.tpd.patch</a>
+books/bookvolbib add many new references
  </body>
 </html>
 
